package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.AmsPurchaseOrderServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/amspurchaseorder")
public class AmsPurchaseOrderController extends BaseRESTfulController {

    @Autowired
    AmsPurchaseOrderServiceImpl amsPurchaseOrderService;

    /**
     * 采购订单管理对接接口
     *
     * @param mapVal
     * @return
     */
    @ApiModelProperty(value = "采购订单管理对接接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "EASPurchaseId", value = "1", required = true, dataType = "String"),
            @ApiImplicitParam(name = "purchaseOrderNo", value = "WCGDD2021083000000007", required = true, dataType = "String"),
            @ApiImplicitParam(name = "materialCode", value = "08010102010300006", required = true, dataType = "String"),
            @ApiImplicitParam(name = "resultForeignShipName", value = "未来A", required = true, dataType = "String"),
            @ApiImplicitParam(name = "purchaseOrderBuyer", value = "张三", required = true, dataType = "String"),
            @ApiImplicitParam(name = "sendUnit", value = "四川美立达矿业有限责任公司", required = true, dataType = "String"),
            @ApiImplicitParam(name = "purchaseOrganization", value = "四川达州钢铁集团有限责任公司", required = true, dataType = "String"),
            @ApiImplicitParam(name = "receiveUnit", value = "四川达州钢铁集团有限责任公司", required = true, dataType = "String"),
            @ApiImplicitParam(name = "purchaseOrderMaterialNumber", value = "200", required = true, dataType = "String"),
            @ApiImplicitParam(name = "purchaseOrderDate", value = "1636426968000", required = true, dataType = "Long"),
            @ApiImplicitParam(name = "supplierDutyParagraph", value = "SCMLD20211027", required = true, dataType = "String"),
            @ApiImplicitParam(name = "dataStatus", value = "1", required = true, dataType = "Integer"),
    })
    @PostMapping("/operationPurchaseOrder")
    public RESTfulResult operationPurchaseOrder(@RequestBody Map<String, Object> mapVal) {
        int result = amsPurchaseOrderService.operationPurchaseOrder(mapVal);
        return success(result);
    }


}
