package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.AmsSaleOrderServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.math.BigDecimal;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/26 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/amssaleorder")
public class AmsSaleOrderController extends BaseRESTfulController {

    @Autowired
    AmsSaleOrderServiceImpl amsSaleOrderService;

    /**
     * 销售订单管理对接接口/查询
     *
     * @param saleOrderId
     * @return
     */
    @ApiModelProperty(value = "销售订单管理对接接口/查询")
    @PostMapping("/getSaleOrder")
    public Map<String,Object> getSaleOrder(@RequestParam BigDecimal saleOrderId) {
        Map<String,Object> input = amsSaleOrderService.getSaleOrder(saleOrderId);
        return input;
    }

    /**
     * 销售订单管理对接接口/修改
     *
     * @param mapVal
     * @return
     */
    @ApiModelProperty(value = "销售订单管理对接接口/修改")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "saleNumber", value = "WXSDD-20210909-00000007", required = true, dataType = "String"),
            @ApiImplicitParam(name = "saleAccountBalance", value = "3000", required = true, dataType = "String"),
            @ApiImplicitParam(name = "saleCurrentOrderAmount", value = "1000", required = true, dataType = "String"),
            @ApiImplicitParam(name = "saleHistoricalOrderAmount", value = "5000", required = true, dataType = "String"),
    })
    @PostMapping("/operationSaleOrder")
    public RESTfulResult operationSaleOrder(@RequestBody Map<String, Object> mapVal) {
        int result = amsSaleOrderService.operationSaleOrder(mapVal);
        return success(result);
    }

}
