package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmsportHandlingFeeServiceImpl;
import com.steerinfo.dil.service.impl.BmstruckStatementServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmsporthandlingfee")
public class BmsportHandlingFeeController extends BaseRESTfulController {

    @Autowired
    BmsportHandlingFeeServiceImpl bmsportHandlingFeeService;

    /**
     * 港口装卸费结算接口
     *
     * @param feeId
     * @return
     */
    @ApiModelProperty(value = "港口装卸费结算接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "feeId", value = "港口装卸费主键id", required = true, dataType = "Integer"),
    })
    @PostMapping("/getPortFee")
    public Map<String,Object> getPortFee(@RequestParam Integer feeId) {
        Map<String,Object> mapValue = bmsportHandlingFeeService.getPortFee(feeId);
        return mapValue;
    }


}
