package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmsshipStatementServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmsshipstatement")
public class BmsshipStatementController extends BaseRESTfulController {

    @Autowired
    BmsshipStatementServiceImpl bmsshipStatementService;

    /**
     * 采购船运账单接口
     *
     * @param statementId
     * @return
     */
    @ApiModelProperty(value = "采购船运账单接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "statementId", value = "账单主键id", required = true, dataType = "Integer"),
    })
    @PostMapping("/getShipStatement")
    public Map<String, Object> getShipStatement(@RequestParam Integer statementId) {
        Map<String,Object> head = bmsshipStatementService.getShipStatement(statementId);
        return head;
    }


}
