package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmstrainDetailsOrderServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmstraindetailsorder")
public class BmstrainDetailsOrderController extends BaseRESTfulController {

    @Autowired
    BmstrainDetailsOrderServiceImpl bmstrainDetailsOrderService;

    /**
     * 采购火运详单接口
     *
     * @param statementId
     * @return
     */
    @ApiModelProperty(value = "采购火运详单接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "statementId", value = "账单主键id", required = true, dataType = "Integer"),
    })
    @PostMapping("/getPurchaseTrainDetailsOrder")
    public List<Map<String, Object>> getPurchaseTrainDetailsOrder(@RequestParam Integer statementId) {
        List<Map<String, Object>> entries = bmstrainDetailsOrderService.getPurchaseTrainDetailsOrder(statementId);
        return entries;
    }


}
