package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmstrainSettlementServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmstrainsettlement")
public class BmstrainSettlementController extends BaseRESTfulController {

    @Autowired
    BmstrainSettlementServiceImpl bmstrainSettlementService;

    /**
     * 销售火运结算接口
     *
     * @param settlementId
     * @return
     */
    @ApiModelProperty(value = "销售火运结算接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "settlementId", value = "销售火运结算主键id", required = true, dataType = "Integer"),
    })
    @PostMapping("/getTrainSettlement")
    public Map<String, Object> getTrainSettlement(@RequestParam Integer settlementId) {
        Map<String,Object> mapValue = bmstrainSettlementService.getTrainSettlement(settlementId);
        return mapValue;
    }
}
