package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmstrainStatementServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmstrainstatement")
public class BmstrainStatementController extends BaseRESTfulController {

    @Autowired
    BmstrainStatementServiceImpl bmstrainStatementService;

    /**
     * 火运账单接口
     *
     * @param statementId
     * @return
     */
    @ApiModelProperty(value = "火运账单接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "statementId", value = "账单主键id", required = true, dataType = "Integer"),
    })
    @PostMapping("/getTrainStatement")
    public Map<String, Object> getTrainStatement(@RequestParam Integer statementId) {
        Map<String,Object> head = bmstrainStatementService.getTrainStatement(statementId);
        return head;
    }

    /**
     * 火运账单接口
     *
     * @param mapValue
     * @return
     */
    @ApiModelProperty(value = "火运账单接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "账单主键id", required = true, dataType = "MAP"),
    })
    @PostMapping("/updateTrainStatement")
    public RESTfulResult updateTrainStatement(@RequestBody Map<String,Object> mapValue) {
        int result = bmstrainStatementService.updateTrainStatement(mapValue);
        return success(result);
    }

}
