package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmstruckDetailsOrderServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmstruckdetailsorder")
public class BmstruckDetailsOrderController extends BaseRESTfulController {

    @Autowired
    BmstruckDetailsOrderServiceImpl bmstruckDetailsOrderService;

    /**
     * 采购汽运详单接口
     *
     * @param detailsId
     * @return
     */
    @ApiModelProperty(value = "采购汽运详单接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "detailsId", value = "详单主键id", required = true, dataType = "Integer"),
    })
    @PostMapping("/getPurchaseDetailsOrder")
    public Map<String, Object> getPurchaseDetailsOrder(@RequestParam Integer detailsId) {
        Map<String,Object> input = bmstruckDetailsOrderService.getPurchaseDetailsOrder(detailsId);
        return input;
    }

    /**
     * 销售汽运详单接口
     *
     * @param statementId
     * @return
     */
    @ApiModelProperty(value = "销售汽运详单接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "statementId", value = "账单主键id", required = true, dataType = "Integer"),
    })
    @PostMapping("/getSaleDetailsOrder")
    public List<Map<String, Object>> getSaleDetailsOrder(@RequestParam Integer statementId) {
        List<Map<String, Object>> mapList = bmstruckDetailsOrderService.getSaleDetailsOrder(statementId);
        return mapList;
    }


}
