package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmstruckStatementServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmstruckstatement")
public class BmstruckStatementController extends BaseRESTfulController {

    @Autowired
    BmstruckStatementServiceImpl bmstruckStatementService;

    /**
     * 销售汽运账单接口
     *
     * @param statementId
     * @return
     */
    @ApiModelProperty(value = "销售汽运账单接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "statementId", value = "账单主键id", required = true, dataType = "Integer"),
    })
    @PostMapping("/getStatement")
    public Map<String, Object> getStatement(@RequestParam Integer statementId) {
        Map<String,Object> mapValue = bmstruckStatementService.getStatement(statementId);
        return mapValue;
    }

    /**
     * 金蝶返回账单接口
     *
     * @param mapValue
     * @return
     */
    @ApiModelProperty(value = "金蝶返回账单接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "账单主键id", required = true, dataType = "MAP"),
    })
    @PostMapping("/updateStatement")
    public RESTfulResult updateStatement(@RequestBody Map<String,Object> mapValue) {
        int result = bmstruckStatementService.updateStatement(mapValue);
        return success(result);
    }

}
