package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.RmsConsigneeServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/rmsconsignee")
public class RmsConsigneeController extends BaseRESTfulController {

    @Autowired
    RmsConsigneeServiceImpl rmsConsigneeService;

    /**
     * 收货客户管理对接接口
     *
     * @param mapVal
     * @return
     */
    @ApiModelProperty(value = "收货客户管理对接接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "EASConsigneeId", value = "1", required = true, dataType = "String"),
            @ApiImplicitParam(name = "consigneeCompanyName", value = "安顺市鑫智成实业有限公司", required = true, dataType = "String"),
            @ApiImplicitParam(name = "consigneeAbbreviation", value = "安顺市鑫智成", required = true, dataType = "String"),
            @ApiImplicitParam(name = "consigneeRegisteredAddress", value = "安顺市鑫智成通川区金龙大道119号", required = true, dataType = "String"),
            @ApiImplicitParam(name = "consigneeContactName", value = "李四", required = true, dataType = "String"),
            @ApiImplicitParam(name = "consigneeContactTel", value = "17356241456", required = true, dataType = "String"),
            @ApiImplicitParam(name = "consigneeCode", value = "12138", required = true, dataType = "String"),
            @ApiImplicitParam(name = "dataStatus", value = "1", required = true, dataType = "Integer"),
    })
    @PostMapping("/operationConsignee")
    public RESTfulResult operationConsignee(@RequestBody Map<String, Object> mapVal) {
        int result = rmsConsigneeService.operationConsignee(mapVal);
        return success(result);
    }



}
