package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.RmsMaterialSteelServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.*;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/rmsmaterialsteel")
public class RmsMaterialSteelController extends BaseRESTfulController {

    @Autowired
    RmsMaterialSteelServiceImpl rmsMaterialSteelService;

    /**
     * 得到没有质保书的炉号
     *
     * @return
     */
    @ApiModelProperty(value = "得到没有质保书的炉号")
    @PostMapping("/getMaterialFurnaceNumber")
    public RESTfulResult getMaterialFurnaceNumber() {
        List<Map<String, Object>> mapList = rmsMaterialSteelService.getMaterialFurnaceNumber();
        return success(mapList);
    }


    @PostMapping("/upload")
    @ResponseBody
    public Map<String, String> upFile(@RequestParam("files") MultipartFile[] files, HttpServletRequest request) throws IOException {
        return rmsMaterialSteelService.upFile(files, request);//这里调用service的upfile方法，传入两个参数。
    }

}
