package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.RmsMaterialServiceImpl;
import com.steerinfo.dil.service.impl.RmsMaterialTypeServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/rmsmaterial")
public class RmsMaterialTypeController extends BaseRESTfulController {

    @Autowired
    RmsMaterialTypeServiceImpl rmsMaterialTypeService;

    /**
     * 物资类型管理对接接口
     *
     * @param mapVal
     * @return
     */
    @ApiModelProperty(value = "物资类型管理对接接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "EASMaterialId", value = "1", required = true, dataType = "String"),
            @ApiImplicitParam(name = "materialTypeName", value = "钢材", required = true, dataType = "String"),
            @ApiImplicitParam(name = "materialTypeCode", value = "0801", required = true, dataType = "String"),
            @ApiImplicitParam(name = "dataStatus", value = "1", required = true, dataType = "Integer"),
    })
    @PostMapping("/operationMaterialType")
    public RESTfulResult operationMaterialType(@RequestBody Map<String, Object> mapVal) {
        int result = rmsMaterialTypeService.operationMaterialType(mapVal);
        return success(result);
    }



}
