package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.RmsSupplierServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/23 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/rmssupplier")
public class RmsSupplierController extends BaseRESTfulController {

    @Autowired
    RmsSupplierServiceImpl rmsSupplierService;

    /**
     * 供应商管理对接接口
     *
     * @param mapVal
     * @return
     */
    @ApiModelProperty(value = "供应商管理对接接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "EASSupplierId", value = "1", required = true, dataType = "String"),
            @ApiImplicitParam(name = "supplierName", value = "四川美立达矿业有限责任公司", required = true, dataType = "String"),
            @ApiImplicitParam(name = "supplierAbbreviation", value = "四川美立达", required = true, dataType = "String"),
            @ApiImplicitParam(name = "supplierDutyParagraph", value = "SCMLD20211027", required = true, dataType = "String"),
            @ApiImplicitParam(name = "supplierAddress", value = "四川省达州市通川区金龙大道119号", required = true, dataType = "String"),
            @ApiImplicitParam(name = "supplierRegisterDate", value = "1636426968000", required = true, dataType = "Long"),
            @ApiImplicitParam(name = "supplierAgent", value = "李四", required = true, dataType = "String"),
            @ApiImplicitParam(name = "supplierContactNumber", value = "17356241456", required = true, dataType = "String"),
            @ApiImplicitParam(name = "dataStatus", value = "1", required = true, dataType = "Integer"),
    })
    @PostMapping("/operationSupplier")
    public RESTfulResult operationSupplier(@RequestBody Map<String, Object> mapVal) {
        int result = rmsSupplierService.operationSupplier(mapVal);
        return success(result);
    }


}
