package com.steerinfo.dil.controller;

import com.alibaba.druid.support.json.JSONUtils;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.SaleUtil;
import com.steerinfo.dil.wsdl.ServiceInfo;
import com.steerinfo.dil.wsdl.WSFaceFacadeSrvProxyServiceLocator;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/11/15 18:12
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/wsface")
public class WSFaceController extends BaseRESTfulController {

    @Autowired
    SaleUtil saleUtil;

    @PostMapping("/pushBmsSettlement")
    @ApiModelProperty(value = "结算金蝶访问接口")
    public String WSFaceWay(@RequestBody Map<String,Object> map) {
        com.steerinfo.dil.wsdl.ServiceInfo service = new ServiceInfo("user", "kduser", "eas", "D001", "L2", 1);
        WSFaceFacadeSrvProxyServiceLocator locator = new WSFaceFacadeSrvProxyServiceLocator();
        service.setServername("172.16.62.243" , "56898");
        String output = null;
        try {
            // 这边是map，将map封装后转为json
            String json = JSONUtils.toJSONString(map);
            String res = locator.getWSFaceFacade().invokeJson(json);
            JSONObject request = JSON.parseObject(res);
            output = request.getString("output");
            System.out.println(output);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return output;
    }

    @PostMapping("/pushSaleOrderToEas")
    @ApiModelProperty(value = "销售订单推送数据接口")
    public String pushSaleOrderToEas(@RequestBody Map<String,Object> map) {
//        Map<String, Object> totalMap = saleUtil.getTotalMap();
//        totalMap.put("input",map);
        com.steerinfo.dil.wsdl.ServiceInfo service = new ServiceInfo("user", "dgjt@kingdee", "eas", "zseas85", "L2", 0);
        WSFaceFacadeSrvProxyServiceLocator locator = new WSFaceFacadeSrvProxyServiceLocator();
        service.setServername("172.16.62.243" , "56898");
        String output = null;
        try {
            // 这边是map，将map封装后转为json
            String json = JSONUtils.toJSONString(map);
            String res = locator.getWSFaceFacade().invokeJson(json);
            JSONObject request = JSON.parseObject(res);
            output = request.getString("output");
            System.out.println(output);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return output;
    }
}
