package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsPurchaseOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.Map;

@Mapper
public interface AmsPurchaseOrderMapper extends IBaseMapper<AmsPurchaseOrder, BigDecimal> {

    // 通过物资唯一编码和外轮船名得到批次
    BigDecimal getBatchId(Map<String, Object> map);

    // 通过供应商代码得到供应商id
    BigDecimal getSupplierId(String supplierDutyParagraph);

    // 通过名称查询收货单位
    BigDecimal getShipperId(String receiveUnit);

    @Select("select seq__AMS_PURCHASE.nextval from dual")
    BigDecimal getPurchaseId();

    // 通过采购组织名称查询id
    BigDecimal getOrganizationId(String purchaseOrganization);

    // 通过唯一编码得到物资id
    BigDecimal getMaterialId(String materialCode);
}