package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSaleOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmsSaleOrderMapper extends IBaseMapper<AmsSaleOrder, BigDecimal> {
    // 得到销售订单信息
    Map<String, Object> getSaleOrderMessage(BigDecimal saleOrderId);

    // 得到销售订单下的所有车序号
    List<Map<String, Object>> getMaterialMessages(BigDecimal saleOrderId);

    // 得到销售订单主键
    @Select("select seq_AMS_SALE_ORDER.nextval from dual")
    BigDecimal getSaleOrderId();

    // 查询收货单位
    BigDecimal getReceiveId(String receiveUnit);

    // 查询发货单位
    BigDecimal getShipperId(String shipperUnit);
}