package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="采购订单")
public class AmsPurchaseOrder implements IBasePO<BigDecimal> {
    /**
     * 主键ID(PURCHASE_ORDER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal purchaseOrderId;

    /**
     * 采购订单号(PURCHASE_ORDER_NO,VARCHAR,25)
     */
    @ApiModelProperty(value="采购订单号",required=false)
    private String purchaseOrderNo;

    /**
     * 批次ID(BATCH_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="批次ID",required=false)
    private BigDecimal batchId;

    /**
     * 订单日期(PURCHASE_ORDER_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="订单日期",required=false)
    private Date purchaseOrderDate;

    /**
     * 供应商ID(SUPPLIER_UNIT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="供应商ID",required=false)
    private BigDecimal supplierUnitId;

    /**
     * 采购组织ID(PURCHASING_ORGANIZATION_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="采购组织ID",required=false)
    private BigDecimal purchasingOrganizationId;

    /**
     * 采购员(PURCHASE_ORDER_BUYER,VARCHAR,20)
     */
    @ApiModelProperty(value="采购员",required=false)
    private String purchaseOrderBuyer;

    /**
     * 订货数量(PUCHASE_ORDER_MATERIAL_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="订货数量",required=false)
    private BigDecimal puchaseOrderMaterialNumber;

    /**
     * 收货单位(RECEIVE_UNIT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="收货单位",required=false)
    private BigDecimal receiveUnitId;

    /**
     * 交货日期(PUCHASE_ORDER_DELIVERY_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="交货日期",required=false)
    private Date puchaseOrderDeliveryDate;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除（0：未删除，1：已删除）(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除（0：未删除，1：已删除）",required=false)
    private BigDecimal deleted;

    /**
     * 金蝶采购订单主键(EAS_PURCHASE_ORDER_ID,VARCHAR,50)
     */
    @ApiModelProperty(value="金蝶采购订单主键",required=false)
    private String easPurchaseOrderId;

    /**
     * 金蝶分录ID(EAS_ENTRY_ID,VARCHAR,50)
     */
    @ApiModelProperty(value="金蝶分录ID",required=false)
    private String easEntryId;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.purchaseOrderId;
    }

    @Override
    public void setId(BigDecimal purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public BigDecimal getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(BigDecimal purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public String getPurchaseOrderNo() {
        return purchaseOrderNo;
    }

    public void setPurchaseOrderNo(String purchaseOrderNo) {
        this.purchaseOrderNo = purchaseOrderNo == null ? null : purchaseOrderNo.trim();
    }

    public BigDecimal getBatchId() {
        return batchId;
    }

    public void setBatchId(BigDecimal batchId) {
        this.batchId = batchId;
    }

    public Date getPurchaseOrderDate() {
        return purchaseOrderDate;
    }

    public void setPurchaseOrderDate(Date purchaseOrderDate) {
        this.purchaseOrderDate = purchaseOrderDate;
    }

    public BigDecimal getSupplierUnitId() {
        return supplierUnitId;
    }

    public void setSupplierUnitId(BigDecimal supplierUnitId) {
        this.supplierUnitId = supplierUnitId;
    }

    public BigDecimal getPurchasingOrganizationId() {
        return purchasingOrganizationId;
    }

    public void setPurchasingOrganizationId(BigDecimal purchasingOrganizationId) {
        this.purchasingOrganizationId = purchasingOrganizationId;
    }

    public String getPurchaseOrderBuyer() {
        return purchaseOrderBuyer;
    }

    public void setPurchaseOrderBuyer(String purchaseOrderBuyer) {
        this.purchaseOrderBuyer = purchaseOrderBuyer == null ? null : purchaseOrderBuyer.trim();
    }

    public BigDecimal getPuchaseOrderMaterialNumber() {
        return puchaseOrderMaterialNumber;
    }

    public void setPuchaseOrderMaterialNumber(BigDecimal puchaseOrderMaterialNumber) {
        this.puchaseOrderMaterialNumber = puchaseOrderMaterialNumber;
    }

    public BigDecimal getReceiveUnitId() {
        return receiveUnitId;
    }

    public void setReceiveUnitId(BigDecimal receiveUnitId) {
        this.receiveUnitId = receiveUnitId;
    }

    public Date getPuchaseOrderDeliveryDate() {
        return puchaseOrderDeliveryDate;
    }

    public void setPuchaseOrderDeliveryDate(Date puchaseOrderDeliveryDate) {
        this.puchaseOrderDeliveryDate = puchaseOrderDeliveryDate;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getEasPurchaseOrderId() {
        return easPurchaseOrderId;
    }

    public void setEasPurchaseOrderId(String easPurchaseOrderId) {
        this.easPurchaseOrderId = easPurchaseOrderId == null ? null : easPurchaseOrderId.trim();
    }

    public String getEasEntryId() {
        return easEntryId;
    }

    public void setEasEntryId(String easEntryId) {
        this.easEntryId = easEntryId == null ? null : easEntryId.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", purchaseOrderId=").append(purchaseOrderId);
        sb.append(", purchaseOrderNo=").append(purchaseOrderNo);
        sb.append(", batchId=").append(batchId);
        sb.append(", purchaseOrderDate=").append(purchaseOrderDate);
        sb.append(", supplierUnitId=").append(supplierUnitId);
        sb.append(", purchasingOrganizationId=").append(purchasingOrganizationId);
        sb.append(", purchaseOrderBuyer=").append(purchaseOrderBuyer);
        sb.append(", puchaseOrderMaterialNumber=").append(puchaseOrderMaterialNumber);
        sb.append(", receiveUnitId=").append(receiveUnitId);
        sb.append(", puchaseOrderDeliveryDate=").append(puchaseOrderDeliveryDate);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", easPurchaseOrderId=").append(easPurchaseOrderId);
        sb.append(", easEntryId=").append(easEntryId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}