package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="港口装卸费")
public class BmsportHandlingFee implements IBasePO<BigDecimal> {
    /**
     * 主键ID(FEE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal feeId;

    /**
     * 原料物资ID(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="原料物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 外轮船名(FEE_FOREIGN_SHIP_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="外轮船名",required=false)
    private String feeForeignShipName;

    /**
     * 物资吨位(FEE_MATERIAL_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="物资吨位",required=false)
    private BigDecimal feeMaterialTonnage;

    /**
     * 单价ID(PRICE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="单价ID",required=false)
    private BigDecimal priceId;

    /**
     * 港口装卸费=港口商检吨位*单价(FEE_VALUE,DECIMAL,0)
     */
    @ApiModelProperty(value="港口装卸费=港口商检吨位*单价",required=false)
    private BigDecimal feeValue;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * 装卸费编号(FEE_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="装卸费编号",required=false)
    private String feeNo;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.feeId;
    }

    @Override
    public void setId(BigDecimal feeId) {
        this.feeId = feeId;
    }

    public BigDecimal getFeeId() {
        return feeId;
    }

    public void setFeeId(BigDecimal feeId) {
        this.feeId = feeId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public String getFeeForeignShipName() {
        return feeForeignShipName;
    }

    public void setFeeForeignShipName(String feeForeignShipName) {
        this.feeForeignShipName = feeForeignShipName == null ? null : feeForeignShipName.trim();
    }

    public BigDecimal getFeeMaterialTonnage() {
        return feeMaterialTonnage;
    }

    public void setFeeMaterialTonnage(BigDecimal feeMaterialTonnage) {
        this.feeMaterialTonnage = feeMaterialTonnage;
    }

    public BigDecimal getPriceId() {
        return priceId;
    }

    public void setPriceId(BigDecimal priceId) {
        this.priceId = priceId;
    }

    public BigDecimal getFeeValue() {
        return feeValue;
    }

    public void setFeeValue(BigDecimal feeValue) {
        this.feeValue = feeValue;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getFeeNo() {
        return feeNo;
    }

    public void setFeeNo(String feeNo) {
        this.feeNo = feeNo == null ? null : feeNo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", feeId=").append(feeId);
        sb.append(", materialId=").append(materialId);
        sb.append(", feeForeignShipName=").append(feeForeignShipName);
        sb.append(", feeMaterialTonnage=").append(feeMaterialTonnage);
        sb.append(", priceId=").append(priceId);
        sb.append(", feeValue=").append(feeValue);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", feeNo=").append(feeNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}