package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="火运结算")
public class BmstrainSettlement implements IBasePO<BigDecimal> {
    /**
     * 主键ID(SETTLEMENT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal settlementId;

    /**
     * 日期(SETTLEMENT_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="日期",required=false)
    private Date settlementDate;

    /**
     * 当日发生车皮数(SETTLEMENT_DAY_WAGONS,DECIMAL,0)
     */
    @ApiModelProperty(value="当日发生车皮数",required=false)
    private BigDecimal settlementDayWagons;

    /**
     * 当日发生吨位(SETTLEMENT_DAY_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="当日发生吨位",required=false)
    private BigDecimal settlementDayTonnage;

    /**
     * 当日产生运费(SETTLEMENT_DAY_TRANSPORT_COST,DECIMAL,0)
     */
    @ApiModelProperty(value="当日产生运费",required=false)
    private BigDecimal settlementDayTransportCost;

    /**
     * 当日下浮后运费(SETTLEMENT_DAY_FLOAT_COST,DECIMAL,0)
     */
    @ApiModelProperty(value="当日下浮后运费",required=false)
    private BigDecimal settlementDayFloatCost;

    /**
     * 当日保证金(SETTLEMENT_DAY_MARGIN,DECIMAL,0)
     */
    @ApiModelProperty(value="当日保证金",required=false)
    private BigDecimal settlementDayMargin;

    /**
     * 当月累计车皮数(SETTLEMENT_MONTH_WAGONS,DECIMAL,38)
     */
    @ApiModelProperty(value="当月累计车皮数",required=false)
    private BigDecimal settlementMonthWagons;

    /**
     * 当月累计吨位(SETTLEMENT_MONTH_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="当月累计吨位",required=false)
    private BigDecimal settlementMonthTonnage;

    /**
     * 当月累计运费(SETTLEMENT_MONTH_TOTAL_MONTH,DECIMAL,0)
     */
    @ApiModelProperty(value="当月累计运费",required=false)
    private BigDecimal settlementMonthTotalMonth;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除（0：未删除；1：已删除）(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除（0：未删除；1：已删除）",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.settlementId;
    }

    @Override
    public void setId(BigDecimal settlementId) {
        this.settlementId = settlementId;
    }

    public BigDecimal getSettlementId() {
        return settlementId;
    }

    public void setSettlementId(BigDecimal settlementId) {
        this.settlementId = settlementId;
    }

    public Date getSettlementDate() {
        return settlementDate;
    }

    public void setSettlementDate(Date settlementDate) {
        this.settlementDate = settlementDate;
    }

    public BigDecimal getSettlementDayWagons() {
        return settlementDayWagons;
    }

    public void setSettlementDayWagons(BigDecimal settlementDayWagons) {
        this.settlementDayWagons = settlementDayWagons;
    }

    public BigDecimal getSettlementDayTonnage() {
        return settlementDayTonnage;
    }

    public void setSettlementDayTonnage(BigDecimal settlementDayTonnage) {
        this.settlementDayTonnage = settlementDayTonnage;
    }

    public BigDecimal getSettlementDayTransportCost() {
        return settlementDayTransportCost;
    }

    public void setSettlementDayTransportCost(BigDecimal settlementDayTransportCost) {
        this.settlementDayTransportCost = settlementDayTransportCost;
    }

    public BigDecimal getSettlementDayFloatCost() {
        return settlementDayFloatCost;
    }

    public void setSettlementDayFloatCost(BigDecimal settlementDayFloatCost) {
        this.settlementDayFloatCost = settlementDayFloatCost;
    }

    public BigDecimal getSettlementDayMargin() {
        return settlementDayMargin;
    }

    public void setSettlementDayMargin(BigDecimal settlementDayMargin) {
        this.settlementDayMargin = settlementDayMargin;
    }

    public BigDecimal getSettlementMonthWagons() {
        return settlementMonthWagons;
    }

    public void setSettlementMonthWagons(BigDecimal settlementMonthWagons) {
        this.settlementMonthWagons = settlementMonthWagons;
    }

    public BigDecimal getSettlementMonthTonnage() {
        return settlementMonthTonnage;
    }

    public void setSettlementMonthTonnage(BigDecimal settlementMonthTonnage) {
        this.settlementMonthTonnage = settlementMonthTonnage;
    }

    public BigDecimal getSettlementMonthTotalMonth() {
        return settlementMonthTotalMonth;
    }

    public void setSettlementMonthTotalMonth(BigDecimal settlementMonthTotalMonth) {
        this.settlementMonthTotalMonth = settlementMonthTotalMonth;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", settlementId=").append(settlementId);
        sb.append(", settlementDate=").append(settlementDate);
        sb.append(", settlementDayWagons=").append(settlementDayWagons);
        sb.append(", settlementDayTonnage=").append(settlementDayTonnage);
        sb.append(", settlementDayTransportCost=").append(settlementDayTransportCost);
        sb.append(", settlementDayFloatCost=").append(settlementDayFloatCost);
        sb.append(", settlementDayMargin=").append(settlementDayMargin);
        sb.append(", settlementMonthWagons=").append(settlementMonthWagons);
        sb.append(", settlementMonthTonnage=").append(settlementMonthTonnage);
        sb.append(", settlementMonthTotalMonth=").append(settlementMonthTotalMonth);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}