package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽运计费详单")
public class BmstruckDetailsOrder implements IBasePO<BigDecimal> {
    /**
     * 主键ID(DETAILS_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal detailsId;

    /**
     * 采购订单ID(PURCHASE_ORDER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="采购订单ID",required=false)
    private BigDecimal purchaseOrderId;

    /**
     * 运输订单ID(ORDER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="运输订单ID",required=false)
    private BigDecimal orderId;

    /**
     * 详单号(DETAILS_NO,VARCHAR,200)
     */
    @ApiModelProperty(value="详单号",required=false)
    private String detailsNo;

    /**
     * 详单时间(DETAILS_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="详单时间",required=false)
    private Date detailsTime;

    /**
     * 单价ID(PRICE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="单价ID",required=false)
    private BigDecimal priceId;

    /**
     * 金额（保留两位小数）(DETAILS_AMOUNT,DECIMAL,0)
     */
    @ApiModelProperty(value="金额（保留两位小数）",required=false)
    private BigDecimal detailsAmount;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 是否转成账单：（0：否，1：是）(WETHER_TO_STATEMENT,DECIMAL,0)
     */
    @ApiModelProperty(value="是否转成账单：（0：否，1：是）",required=false)
    private BigDecimal wetherToStatement;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.detailsId;
    }

    @Override
    public void setId(BigDecimal detailsId) {
        this.detailsId = detailsId;
    }

    public BigDecimal getDetailsId() {
        return detailsId;
    }

    public void setDetailsId(BigDecimal detailsId) {
        this.detailsId = detailsId;
    }

    public BigDecimal getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(BigDecimal purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public BigDecimal getOrderId() {
        return orderId;
    }

    public void setOrderId(BigDecimal orderId) {
        this.orderId = orderId;
    }

    public String getDetailsNo() {
        return detailsNo;
    }

    public void setDetailsNo(String detailsNo) {
        this.detailsNo = detailsNo == null ? null : detailsNo.trim();
    }

    public Date getDetailsTime() {
        return detailsTime;
    }

    public void setDetailsTime(Date detailsTime) {
        this.detailsTime = detailsTime;
    }

    public BigDecimal getPriceId() {
        return priceId;
    }

    public void setPriceId(BigDecimal priceId) {
        this.priceId = priceId;
    }

    public BigDecimal getDetailsAmount() {
        return detailsAmount;
    }

    public void setDetailsAmount(BigDecimal detailsAmount) {
        this.detailsAmount = detailsAmount;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getWetherToStatement() {
        return wetherToStatement;
    }

    public void setWetherToStatement(BigDecimal wetherToStatement) {
        this.wetherToStatement = wetherToStatement;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", detailsId=").append(detailsId);
        sb.append(", purchaseOrderId=").append(purchaseOrderId);
        sb.append(", orderId=").append(orderId);
        sb.append(", detailsNo=").append(detailsNo);
        sb.append(", detailsTime=").append(detailsTime);
        sb.append(", priceId=").append(priceId);
        sb.append(", detailsAmount=").append(detailsAmount);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", wetherToStatement=").append(wetherToStatement);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}