package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="承运方")
public class RmsCarrier implements IBasePO<BigDecimal> {
    /**
     * 主键ID(CARRIER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal carrierId;

    /**
     * 运输类型：0危化品；1：其他(CARRIER_TRANSPORT_TYPE,VARCHAR,32)
     */
    @ApiModelProperty(value="运输类型：0危化品；1：其他",required=false)
    private String carrierTransportType;

    /**
     * 承运商名称(CARRIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="承运商名称",required=false)
    private String carrierName;

    /**
     * 承运人简称(CARRIER_ABBREVIATION,VARCHAR,32)
     */
    @ApiModelProperty(value="承运人简称",required=false)
    private String carrierAbbreviation;

    /**
     * 地址(CARRIER_ADDRESS,VARCHAR,64)
     */
    @ApiModelProperty(value="地址",required=false)
    private String carrierAddress;

    /**
     * 中标区域ID(CARRIER_BID_AREA_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="中标区域ID",required=false)
    private BigDecimal carrierBidAreaId;

    /**
     * 中标时间(CARRIER_BID_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="中标时间",required=false)
    private Date carrierBidTime;

    /**
     * 法人代表(CARRIER_LEGAL_REPRESENTATIVE,VARCHAR,16)
     */
    @ApiModelProperty(value="法人代表",required=false)
    private String carrierLegalRepresentative;

    /**
     * 注册号(REGISTER_NO,VARCHAR,32)
     */
    @ApiModelProperty(value="注册号",required=false)
    private String registerNo;

    /**
     * 委托代理人(CARRIER_AGENT,VARCHAR,16)
     */
    @ApiModelProperty(value="委托代理人",required=false)
    private String carrierAgent;

    /**
     * 联系电话(CARRIER_CONTACT_NUMBER,VARCHAR,32)
     */
    @ApiModelProperty(value="联系电话",required=false)
    private String carrierContactNumber;

    /**
     * 传真(CARRIER_FAX,VARCHAR,32)
     */
    @ApiModelProperty(value="传真",required=false)
    private String carrierFax;

    /**
     * 账户(CARRIER_ACCOUNT,VARCHAR,32)
     */
    @ApiModelProperty(value="账户",required=false)
    private String carrierAccount;

    /**
     * 开户行(CARRIER_ACCOUNT_BLANK,VARCHAR,32)
     */
    @ApiModelProperty(value="开户行",required=false)
    private String carrierAccountBlank;

    /**
     * 税号(CARRIER_DUTY_PARAGRAPH,VARCHAR,32)
     */
    @ApiModelProperty(value="税号",required=false)
    private String carrierDutyParagraph;

    /**
     * 邮政编码(CARRIER_POSTAL_CODE,VARCHAR,16)
     */
    @ApiModelProperty(value="邮政编码",required=false)
    private String carrierPostalCode;

    /**
     * 注册资本(REGISTER_CAPITAL,VARCHAR,16)
     */
    @ApiModelProperty(value="注册资本",required=false)
    private String registerCapital;

    /**
     * 经营范围(BUSINESS_SCOPE,VARCHAR,256)
     */
    @ApiModelProperty(value="经营范围",required=false)
    private String businessScope;

    /**
     * 年检年度(ANNUAL_DATE,VARCHAR,16)
     */
    @ApiModelProperty(value="年检年度",required=false)
    private String annualDate;

    /**
     * 企业状态(COMPANY_STATUS_DESC,VARCHAR,16)
     */
    @ApiModelProperty(value="企业状态",required=false)
    private String companyStatusDesc;

    /**
     * 企业类型(COMPANY_TYPE_DESC,VARCHAR,16)
     */
    @ApiModelProperty(value="企业类型",required=false)
    private String companyTypeDesc;

    /**
     * 经营期限(OPERATION_PERIOD,VARCHAR,16)
     */
    @ApiModelProperty(value="经营期限",required=false)
    private String operationPeriod;

    /**
     * 成立日期(REGISTER_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="成立日期",required=false)
    private Date registerDate;

    /**
     * 登记机构(REGISTER_ORGANIZATION,VARCHAR,16)
     */
    @ApiModelProperty(value="登记机构",required=false)
    private String registerOrganization;

    /**
     * 相关资质(REGISTER_APTITUDES,VARCHAR,16)
     */
    @ApiModelProperty(value="相关资质",required=false)
    private String registerAptitudes;

    /**
     * 企业资信等级(CREDENTIAL_DESC,VARCHAR,16)
     */
    @ApiModelProperty(value="企业资信等级",required=false)
    private String credentialDesc;

    /**
     * 联系人(CONTACTS_NAME,VARCHAR,8)
     */
    @ApiModelProperty(value="联系人",required=false)
    private String contactsName;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * 承运商类型：0外协承运商；1虚拟承运商；2销售承运商；3原料供应承运商(CARRIER_TYPE,VARCHAR,32)
     */
    @ApiModelProperty(value="承运商类型：0外协承运商；1虚拟承运商；2销售承运商；3原料供应承运商",required=false)
    private String carrierType;

    /**
     * eas金蝶主键(EAS_CARRIER_ID,VARCHAR,50)
     */
    @ApiModelProperty(value="eas金蝶主键",required=false)
    private String easCarrierId;

    /**
     * 运输证(照片)(CARRIER_TRANSPORT_CERTIFICATE,BLOB,4000)
     */
    @ApiModelProperty(value="运输证(照片)",required=false)
    private byte[] carrierTransportCertificate;

    /**
     * 经营许可证(照片)(CARRIER_BUSINESS_LICENSE,BLOB,4000)
     */
    @ApiModelProperty(value="经营许可证(照片)",required=false)
    private byte[] carrierBusinessLicense;

    /**
     * 营业执照(CARRIER_BUSINESS_ABLELICENSE,BLOB,4000)
     */
    @ApiModelProperty(value="营业执照",required=false)
    private byte[] carrierBusinessAblelicense;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.carrierId;
    }

    @Override
    public void setId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public String getCarrierTransportType() {
        return carrierTransportType;
    }

    public void setCarrierTransportType(String carrierTransportType) {
        this.carrierTransportType = carrierTransportType == null ? null : carrierTransportType.trim();
    }

    public String getCarrierName() {
        return carrierName;
    }

    public void setCarrierName(String carrierName) {
        this.carrierName = carrierName == null ? null : carrierName.trim();
    }

    public String getCarrierAbbreviation() {
        return carrierAbbreviation;
    }

    public void setCarrierAbbreviation(String carrierAbbreviation) {
        this.carrierAbbreviation = carrierAbbreviation == null ? null : carrierAbbreviation.trim();
    }

    public String getCarrierAddress() {
        return carrierAddress;
    }

    public void setCarrierAddress(String carrierAddress) {
        this.carrierAddress = carrierAddress == null ? null : carrierAddress.trim();
    }

    public BigDecimal getCarrierBidAreaId() {
        return carrierBidAreaId;
    }

    public void setCarrierBidAreaId(BigDecimal carrierBidAreaId) {
        this.carrierBidAreaId = carrierBidAreaId;
    }

    public Date getCarrierBidTime() {
        return carrierBidTime;
    }

    public void setCarrierBidTime(Date carrierBidTime) {
        this.carrierBidTime = carrierBidTime;
    }

    public String getCarrierLegalRepresentative() {
        return carrierLegalRepresentative;
    }

    public void setCarrierLegalRepresentative(String carrierLegalRepresentative) {
        this.carrierLegalRepresentative = carrierLegalRepresentative == null ? null : carrierLegalRepresentative.trim();
    }

    public String getRegisterNo() {
        return registerNo;
    }

    public void setRegisterNo(String registerNo) {
        this.registerNo = registerNo == null ? null : registerNo.trim();
    }

    public String getCarrierAgent() {
        return carrierAgent;
    }

    public void setCarrierAgent(String carrierAgent) {
        this.carrierAgent = carrierAgent == null ? null : carrierAgent.trim();
    }

    public String getCarrierContactNumber() {
        return carrierContactNumber;
    }

    public void setCarrierContactNumber(String carrierContactNumber) {
        this.carrierContactNumber = carrierContactNumber == null ? null : carrierContactNumber.trim();
    }

    public String getCarrierFax() {
        return carrierFax;
    }

    public void setCarrierFax(String carrierFax) {
        this.carrierFax = carrierFax == null ? null : carrierFax.trim();
    }

    public String getCarrierAccount() {
        return carrierAccount;
    }

    public void setCarrierAccount(String carrierAccount) {
        this.carrierAccount = carrierAccount == null ? null : carrierAccount.trim();
    }

    public String getCarrierAccountBlank() {
        return carrierAccountBlank;
    }

    public void setCarrierAccountBlank(String carrierAccountBlank) {
        this.carrierAccountBlank = carrierAccountBlank == null ? null : carrierAccountBlank.trim();
    }

    public String getCarrierDutyParagraph() {
        return carrierDutyParagraph;
    }

    public void setCarrierDutyParagraph(String carrierDutyParagraph) {
        this.carrierDutyParagraph = carrierDutyParagraph == null ? null : carrierDutyParagraph.trim();
    }

    public String getCarrierPostalCode() {
        return carrierPostalCode;
    }

    public void setCarrierPostalCode(String carrierPostalCode) {
        this.carrierPostalCode = carrierPostalCode == null ? null : carrierPostalCode.trim();
    }

    public String getRegisterCapital() {
        return registerCapital;
    }

    public void setRegisterCapital(String registerCapital) {
        this.registerCapital = registerCapital == null ? null : registerCapital.trim();
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope == null ? null : businessScope.trim();
    }

    public String getAnnualDate() {
        return annualDate;
    }

    public void setAnnualDate(String annualDate) {
        this.annualDate = annualDate == null ? null : annualDate.trim();
    }

    public String getCompanyStatusDesc() {
        return companyStatusDesc;
    }

    public void setCompanyStatusDesc(String companyStatusDesc) {
        this.companyStatusDesc = companyStatusDesc == null ? null : companyStatusDesc.trim();
    }

    public String getCompanyTypeDesc() {
        return companyTypeDesc;
    }

    public void setCompanyTypeDesc(String companyTypeDesc) {
        this.companyTypeDesc = companyTypeDesc == null ? null : companyTypeDesc.trim();
    }

    public String getOperationPeriod() {
        return operationPeriod;
    }

    public void setOperationPeriod(String operationPeriod) {
        this.operationPeriod = operationPeriod == null ? null : operationPeriod.trim();
    }

    public Date getRegisterDate() {
        return registerDate;
    }

    public void setRegisterDate(Date registerDate) {
        this.registerDate = registerDate;
    }

    public String getRegisterOrganization() {
        return registerOrganization;
    }

    public void setRegisterOrganization(String registerOrganization) {
        this.registerOrganization = registerOrganization == null ? null : registerOrganization.trim();
    }

    public String getRegisterAptitudes() {
        return registerAptitudes;
    }

    public void setRegisterAptitudes(String registerAptitudes) {
        this.registerAptitudes = registerAptitudes == null ? null : registerAptitudes.trim();
    }

    public String getCredentialDesc() {
        return credentialDesc;
    }

    public void setCredentialDesc(String credentialDesc) {
        this.credentialDesc = credentialDesc == null ? null : credentialDesc.trim();
    }

    public String getContactsName() {
        return contactsName;
    }

    public void setContactsName(String contactsName) {
        this.contactsName = contactsName == null ? null : contactsName.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getCarrierType() {
        return carrierType;
    }

    public void setCarrierType(String carrierType) {
        this.carrierType = carrierType == null ? null : carrierType.trim();
    }

    public String getEasCarrierId() {
        return easCarrierId;
    }

    public void setEasCarrierId(String easCarrierId) {
        this.easCarrierId = easCarrierId == null ? null : easCarrierId.trim();
    }

    public byte[] getCarrierTransportCertificate() {
        return carrierTransportCertificate;
    }

    public void setCarrierTransportCertificate(byte[] carrierTransportCertificate) {
        this.carrierTransportCertificate = carrierTransportCertificate;
    }

    public byte[] getCarrierBusinessLicense() {
        return carrierBusinessLicense;
    }

    public void setCarrierBusinessLicense(byte[] carrierBusinessLicense) {
        this.carrierBusinessLicense = carrierBusinessLicense;
    }

    public byte[] getCarrierBusinessAblelicense() {
        return carrierBusinessAblelicense;
    }

    public void setCarrierBusinessAblelicense(byte[] carrierBusinessAblelicense) {
        this.carrierBusinessAblelicense = carrierBusinessAblelicense;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", carrierId=").append(carrierId);
        sb.append(", carrierTransportType=").append(carrierTransportType);
        sb.append(", carrierName=").append(carrierName);
        sb.append(", carrierAbbreviation=").append(carrierAbbreviation);
        sb.append(", carrierAddress=").append(carrierAddress);
        sb.append(", carrierBidAreaId=").append(carrierBidAreaId);
        sb.append(", carrierBidTime=").append(carrierBidTime);
        sb.append(", carrierLegalRepresentative=").append(carrierLegalRepresentative);
        sb.append(", registerNo=").append(registerNo);
        sb.append(", carrierAgent=").append(carrierAgent);
        sb.append(", carrierContactNumber=").append(carrierContactNumber);
        sb.append(", carrierFax=").append(carrierFax);
        sb.append(", carrierAccount=").append(carrierAccount);
        sb.append(", carrierAccountBlank=").append(carrierAccountBlank);
        sb.append(", carrierDutyParagraph=").append(carrierDutyParagraph);
        sb.append(", carrierPostalCode=").append(carrierPostalCode);
        sb.append(", registerCapital=").append(registerCapital);
        sb.append(", businessScope=").append(businessScope);
        sb.append(", annualDate=").append(annualDate);
        sb.append(", companyStatusDesc=").append(companyStatusDesc);
        sb.append(", companyTypeDesc=").append(companyTypeDesc);
        sb.append(", operationPeriod=").append(operationPeriod);
        sb.append(", registerDate=").append(registerDate);
        sb.append(", registerOrganization=").append(registerOrganization);
        sb.append(", registerAptitudes=").append(registerAptitudes);
        sb.append(", credentialDesc=").append(credentialDesc);
        sb.append(", contactsName=").append(contactsName);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", carrierType=").append(carrierType);
        sb.append(", easCarrierId=").append(easCarrierId);
        sb.append(", carrierTransportCertificate=").append(carrierTransportCertificate);
        sb.append(", carrierBusinessLicense=").append(carrierBusinessLicense);
        sb.append(", carrierBusinessAblelicense=").append(carrierBusinessAblelicense);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}