package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="收货客户")
public class RmsConsignee implements IBasePO<BigDecimal> {
    /**
     * 主键id(CONSIGNEE_ID,DECIMAL,10)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal consigneeId;

    /**
     * 公司名称(CONSIGNEE_COMPANY_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="公司名称",required=false)
    private String consigneeCompanyName;

    /**
     * 收货方简称(CONSIGNEE_ABBREVIATION,VARCHAR,50)
     */
    @ApiModelProperty(value="收货方简称",required=false)
    private String consigneeAbbreviation;

    /**
     * 注册地址(CONSIGNEE_REGISTERED_ADDRESS,VARCHAR,50)
     */
    @ApiModelProperty(value="注册地址",required=false)
    private String consigneeRegisteredAddress;

    /**
     * 收货地址(CONSIGNEE_RECEIVE_ADDRESS,VARCHAR,50)
     */
    @ApiModelProperty(value="收货地址",required=false)
    private String consigneeReceiveAddress;

    /**
     * 注册时间(CONSIGNEE_REGISTRATION_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="注册时间",required=false)
    private Date consigneeRegistrationTime;

    /**
     * 联系人(CONSIGNEE_CONTACT_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="联系人",required=false)
    private String consigneeContactName;

    /**
     * 质保书份数(CONSIGNEE_WARRANTY_AMOUNT,DECIMAL,38)
     */
    @ApiModelProperty(value="质保书份数",required=false)
    private BigDecimal consigneeWarrantyAmount;

    /**
     * 质保书（0：理重；1:磅重）(CONSIGNEE_WARRANTY_WEIGHT,VARCHAR,4)
     */
    @ApiModelProperty(value="质保书（0：理重；1:磅重）",required=false)
    private String consigneeWarrantyWeight;

    /**
     * 联系电话(CONSIGNEE_CONTACT_TEL,VARCHAR,20)
     */
    @ApiModelProperty(value="联系电话",required=false)
    private String consigneeContactTel;

    /**
     * 换票送货单份数(CONSIGNEE_EXCHANGE_DELIVERY,DECIMAL,38)
     */
    @ApiModelProperty(value="换票送货单份数",required=false)
    private BigDecimal consigneeExchangeDelivery;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * 金蝶收获客户主键ID(EAS_CONSIGNEE_ID,VARCHAR,50)
     */
    @ApiModelProperty(value="金蝶收获客户主键ID",required=false)
    private String easConsigneeId;

    /**
     * 收货客户编码(CONSIGNEE_CODE,VARCHAR,50)
     */
    @ApiModelProperty(value="收货客户编码",required=false)
    private String consigneeCode;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.consigneeId;
    }

    @Override
    public void setId(BigDecimal consigneeId) {
        this.consigneeId = consigneeId;
    }

    public BigDecimal getConsigneeId() {
        return consigneeId;
    }

    public void setConsigneeId(BigDecimal consigneeId) {
        this.consigneeId = consigneeId;
    }

    public String getConsigneeCompanyName() {
        return consigneeCompanyName;
    }

    public void setConsigneeCompanyName(String consigneeCompanyName) {
        this.consigneeCompanyName = consigneeCompanyName == null ? null : consigneeCompanyName.trim();
    }

    public String getConsigneeAbbreviation() {
        return consigneeAbbreviation;
    }

    public void setConsigneeAbbreviation(String consigneeAbbreviation) {
        this.consigneeAbbreviation = consigneeAbbreviation == null ? null : consigneeAbbreviation.trim();
    }

    public String getConsigneeRegisteredAddress() {
        return consigneeRegisteredAddress;
    }

    public void setConsigneeRegisteredAddress(String consigneeRegisteredAddress) {
        this.consigneeRegisteredAddress = consigneeRegisteredAddress == null ? null : consigneeRegisteredAddress.trim();
    }

    public String getConsigneeReceiveAddress() {
        return consigneeReceiveAddress;
    }

    public void setConsigneeReceiveAddress(String consigneeReceiveAddress) {
        this.consigneeReceiveAddress = consigneeReceiveAddress == null ? null : consigneeReceiveAddress.trim();
    }

    public Date getConsigneeRegistrationTime() {
        return consigneeRegistrationTime;
    }

    public void setConsigneeRegistrationTime(Date consigneeRegistrationTime) {
        this.consigneeRegistrationTime = consigneeRegistrationTime;
    }

    public String getConsigneeContactName() {
        return consigneeContactName;
    }

    public void setConsigneeContactName(String consigneeContactName) {
        this.consigneeContactName = consigneeContactName == null ? null : consigneeContactName.trim();
    }

    public BigDecimal getConsigneeWarrantyAmount() {
        return consigneeWarrantyAmount;
    }

    public void setConsigneeWarrantyAmount(BigDecimal consigneeWarrantyAmount) {
        this.consigneeWarrantyAmount = consigneeWarrantyAmount;
    }

    public String getConsigneeWarrantyWeight() {
        return consigneeWarrantyWeight;
    }

    public void setConsigneeWarrantyWeight(String consigneeWarrantyWeight) {
        this.consigneeWarrantyWeight = consigneeWarrantyWeight == null ? null : consigneeWarrantyWeight.trim();
    }

    public String getConsigneeContactTel() {
        return consigneeContactTel;
    }

    public void setConsigneeContactTel(String consigneeContactTel) {
        this.consigneeContactTel = consigneeContactTel == null ? null : consigneeContactTel.trim();
    }

    public BigDecimal getConsigneeExchangeDelivery() {
        return consigneeExchangeDelivery;
    }

    public void setConsigneeExchangeDelivery(BigDecimal consigneeExchangeDelivery) {
        this.consigneeExchangeDelivery = consigneeExchangeDelivery;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getEasConsigneeId() {
        return easConsigneeId;
    }

    public void setEasConsigneeId(String easConsigneeId) {
        this.easConsigneeId = easConsigneeId == null ? null : easConsigneeId.trim();
    }

    public String getConsigneeCode() {
        return consigneeCode;
    }

    public void setConsigneeCode(String consigneeCode) {
        this.consigneeCode = consigneeCode == null ? null : consigneeCode.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", consigneeId=").append(consigneeId);
        sb.append(", consigneeCompanyName=").append(consigneeCompanyName);
        sb.append(", consigneeAbbreviation=").append(consigneeAbbreviation);
        sb.append(", consigneeRegisteredAddress=").append(consigneeRegisteredAddress);
        sb.append(", consigneeReceiveAddress=").append(consigneeReceiveAddress);
        sb.append(", consigneeRegistrationTime=").append(consigneeRegistrationTime);
        sb.append(", consigneeContactName=").append(consigneeContactName);
        sb.append(", consigneeWarrantyAmount=").append(consigneeWarrantyAmount);
        sb.append(", consigneeWarrantyWeight=").append(consigneeWarrantyWeight);
        sb.append(", consigneeContactTel=").append(consigneeContactTel);
        sb.append(", consigneeExchangeDelivery=").append(consigneeExchangeDelivery);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", easConsigneeId=").append(easConsigneeId);
        sb.append(", consigneeCode=").append(consigneeCode);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}