package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="物资钢材表")
public class RmsMaterialSteel implements IBasePO<BigDecimal> {
    /**
     * 主键ID(MATERIAL_STEEL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal materialSteelId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 炉号(MATERIAL_FURNACE_NUMBER,VARCHAR,20)
     */
    @ApiModelProperty(value="炉号",required=false)
    private String materialFurnaceNumber;

    /**
     * 支数(MATERIAL_COUNT,DECIMAL,38)
     */
    @ApiModelProperty(value="支数",required=false)
    private BigDecimal materialCount;

    /**
     * 物资生产下线重量(MATERIAL_SINGLE_BUNDLE_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资生产下线重量",required=false)
    private BigDecimal materialSingleBundleWeight;

    /**
     * 物资理重（默认保留3位小数，若盘螺则保留2位小数）(MATERIAL_THEORETICAL_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资理重（默认保留3位小数，若盘螺则保留2位小数）",required=false)
    private BigDecimal materialTheoreticalWeight;

    /**
     * 物资生产日期(MATERIAL_PRODUCTION_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="物资生产日期",required=false)
    private Date materialProductionDate;

    /**
     * 质量是否合格 0：不合格且判废；1：不合格且降级；2：不合格且不降级且卖本地经销商；3：合格(MATERIAL_QUALIFIED,VARCHAR,1)
     */
    @ApiModelProperty(value="质量是否合格 0：不合格且判废；1：不合格且降级；2：不合格且不降级且卖本地经销商；3：合格",required=false)
    private String materialQualified;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除字段：0：删除；1：未删除(DELETED,DECIMAL,38)
     */
    @ApiModelProperty(value="逻辑删除字段：0：删除；1：未删除",required=false)
    private BigDecimal deleted;

    /**
     * 物资唯一编码（一件钢材的唯一标识）(MATERIAL_ONLY_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="物资唯一编码（一件钢材的唯一标识）",required=false)
    private String materialOnlyCode;

    /**
     * 钢材质保书存储地址(CONCLUSION_URL,VARCHAR,200)
     */
    @ApiModelProperty(value="钢材质保书存储地址",required=false)
    private String conclusionUrl;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.materialSteelId;
    }

    @Override
    public void setId(BigDecimal materialSteelId) {
        this.materialSteelId = materialSteelId;
    }

    public BigDecimal getMaterialSteelId() {
        return materialSteelId;
    }

    public void setMaterialSteelId(BigDecimal materialSteelId) {
        this.materialSteelId = materialSteelId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public String getMaterialFurnaceNumber() {
        return materialFurnaceNumber;
    }

    public void setMaterialFurnaceNumber(String materialFurnaceNumber) {
        this.materialFurnaceNumber = materialFurnaceNumber == null ? null : materialFurnaceNumber.trim();
    }

    public BigDecimal getMaterialCount() {
        return materialCount;
    }

    public void setMaterialCount(BigDecimal materialCount) {
        this.materialCount = materialCount;
    }

    public BigDecimal getMaterialSingleBundleWeight() {
        return materialSingleBundleWeight;
    }

    public void setMaterialSingleBundleWeight(BigDecimal materialSingleBundleWeight) {
        this.materialSingleBundleWeight = materialSingleBundleWeight;
    }

    public BigDecimal getMaterialTheoreticalWeight() {
        return materialTheoreticalWeight;
    }

    public void setMaterialTheoreticalWeight(BigDecimal materialTheoreticalWeight) {
        this.materialTheoreticalWeight = materialTheoreticalWeight;
    }

    public Date getMaterialProductionDate() {
        return materialProductionDate;
    }

    public void setMaterialProductionDate(Date materialProductionDate) {
        this.materialProductionDate = materialProductionDate;
    }

    public String getMaterialQualified() {
        return materialQualified;
    }

    public void setMaterialQualified(String materialQualified) {
        this.materialQualified = materialQualified == null ? null : materialQualified.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getMaterialOnlyCode() {
        return materialOnlyCode;
    }

    public void setMaterialOnlyCode(String materialOnlyCode) {
        this.materialOnlyCode = materialOnlyCode == null ? null : materialOnlyCode.trim();
    }

    public String getConclusionUrl() {
        return conclusionUrl;
    }

    public void setConclusionUrl(String conclusionUrl) {
        this.conclusionUrl = conclusionUrl == null ? null : conclusionUrl.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", materialSteelId=").append(materialSteelId);
        sb.append(", materialId=").append(materialId);
        sb.append(", materialFurnaceNumber=").append(materialFurnaceNumber);
        sb.append(", materialCount=").append(materialCount);
        sb.append(", materialSingleBundleWeight=").append(materialSingleBundleWeight);
        sb.append(", materialTheoreticalWeight=").append(materialTheoreticalWeight);
        sb.append(", materialProductionDate=").append(materialProductionDate);
        sb.append(", materialQualified=").append(materialQualified);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", materialOnlyCode=").append(materialOnlyCode);
        sb.append(", conclusionUrl=").append(conclusionUrl);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}