package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="成品物资类型")
public class RmsMaterialType implements IBasePO<BigDecimal> {
    /**
     * 主键id(MATERIAL_TYPE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal materialTypeId;

    /**
     * 物资类型名称（钢材、铸管、危化品、钢渣、水渣、废旧物资、焦炭）(MATERIAL_TYPE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="物资类型名称（钢材、铸管、危化品、钢渣、水渣、废旧物资、焦炭）",required=false)
    private String materialTypeName;

    /**
     * 数量单位（件、支）(MATERIAL_UNIT,VARCHAR,20)
     */
    @ApiModelProperty(value="数量单位（件、支）",required=false)
    private String materialUnit;

    /**
     * 装卸货次序(MATERIAL_ORDER,DECIMAL,0)
     */
    @ApiModelProperty(value="装卸货次序",required=false)
    private BigDecimal materialOrder;

    /**
     * 包装类型(MATERIAL_PACKING_TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="包装类型",required=false)
    private BigDecimal materialTypeStatus;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.materialTypeId;
    }

    @Override
    public void setId(BigDecimal materialTypeId) {
        this.materialTypeId = materialTypeId;
    }

    public BigDecimal getMaterialTypeId() {
        return materialTypeId;
    }

    public void setMaterialTypeId(BigDecimal materialTypeId) {
        this.materialTypeId = materialTypeId;
    }

    public String getMaterialTypeName() {
        return materialTypeName;
    }

    public void setMaterialTypeName(String materialTypeName) {
        this.materialTypeName = materialTypeName == null ? null : materialTypeName.trim();
    }

    public String getMaterialUnit() {
        return materialUnit;
    }

    public void setMaterialUnit(String materialUnit) {
        this.materialUnit = materialUnit == null ? null : materialUnit.trim();
    }

    public BigDecimal getMaterialOrder() {
        return materialOrder;
    }

    public void setMaterialOrder(BigDecimal materialOrder) {
        this.materialOrder = materialOrder;
    }

    public BigDecimal getmaterialTypeStatus() {
        return materialTypeStatus;
    }

    public void setmaterialTypeStatus(BigDecimal materialTypeStatus) {
        this.materialTypeStatus = materialTypeStatus;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", materialTypeId=").append(materialTypeId);
        sb.append(", materialTypeName=").append(materialTypeName);
        sb.append(", materialUnit=").append(materialUnit);
        sb.append(", materialOrder=").append(materialOrder);
        sb.append(", materialTypeStatus=").append(materialTypeStatus);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}