package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="人员管理")
public class RmsPersonnel implements IBasePO<BigDecimal> {
    /**
     * 主键ID(PERSONNEL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal personnelId;

    /**
     * 工号(PERSONNEL_JOB_NUMBER,VARCHAR,20)
     */
    @ApiModelProperty(value="工号",required=false)
    private String personnelJobNumber;

    /**
     * 岗位(PERSONNEL_POST,VARCHAR,20)
     */
    @ApiModelProperty(value="岗位",required=false)
    private String personnelPost;

    /**
     * 姓名(PERSONNEL_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="姓名",required=false)
    private String personnelName;

    /**
     * 部门ID(关联托运人)(PERSONNEL_DEPARTMENT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="部门ID(关联托运人)",required=false)
    private BigDecimal personnelDepartmentId;

    /**
     * 车间(PERSONNEL_WORKSHOPID,DECIMAL,38)
     */
    @ApiModelProperty(value="车间",required=false)
    private BigDecimal personnelWorkshopid;

    /**
     * 班次（早、中、夜）(PERSONNEL_SHIFTS,VARCHAR,20)
     */
    @ApiModelProperty(value="班次（早、中、夜）",required=false)
    private String personnelShifts;

    /**
     * 班组（A、B......）(PERSONNEL_TEAM,VARCHAR,20)
     */
    @ApiModelProperty(value="班组（A、B......）",required=false)
    private String personnelTeam;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 金蝶人员信息主键ID(EAS_PERSONNEL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="金蝶人员信息主键ID",required=false)
    private BigDecimal easPersonnelId;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.personnelId;
    }

    @Override
    public void setId(BigDecimal personnelId) {
        this.personnelId = personnelId;
    }

    public BigDecimal getPersonnelId() {
        return personnelId;
    }

    public void setPersonnelId(BigDecimal personnelId) {
        this.personnelId = personnelId;
    }

    public String getPersonnelJobNumber() {
        return personnelJobNumber;
    }

    public void setPersonnelJobNumber(String personnelJobNumber) {
        this.personnelJobNumber = personnelJobNumber == null ? null : personnelJobNumber.trim();
    }

    public String getPersonnelPost() {
        return personnelPost;
    }

    public void setPersonnelPost(String personnelPost) {
        this.personnelPost = personnelPost == null ? null : personnelPost.trim();
    }

    public String getPersonnelName() {
        return personnelName;
    }

    public void setPersonnelName(String personnelName) {
        this.personnelName = personnelName == null ? null : personnelName.trim();
    }

    public BigDecimal getPersonnelDepartmentId() {
        return personnelDepartmentId;
    }

    public void setPersonnelDepartmentId(BigDecimal personnelDepartmentId) {
        this.personnelDepartmentId = personnelDepartmentId;
    }

    public BigDecimal getPersonnelWorkshopid() {
        return personnelWorkshopid;
    }

    public void setPersonnelWorkshopid(BigDecimal personnelWorkshopid) {
        this.personnelWorkshopid = personnelWorkshopid;
    }

    public String getPersonnelShifts() {
        return personnelShifts;
    }

    public void setPersonnelShifts(String personnelShifts) {
        this.personnelShifts = personnelShifts == null ? null : personnelShifts.trim();
    }

    public String getPersonnelTeam() {
        return personnelTeam;
    }

    public void setPersonnelTeam(String personnelTeam) {
        this.personnelTeam = personnelTeam == null ? null : personnelTeam.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getEasPersonnelId() {
        return easPersonnelId;
    }

    public void setEasPersonnelId(BigDecimal easPersonnelId) {
        this.easPersonnelId = easPersonnelId;
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", personnelId=").append(personnelId);
        sb.append(", personnelJobNumber=").append(personnelJobNumber);
        sb.append(", personnelPost=").append(personnelPost);
        sb.append(", personnelName=").append(personnelName);
        sb.append(", personnelDepartmentId=").append(personnelDepartmentId);
        sb.append(", personnelWorkshopid=").append(personnelWorkshopid);
        sb.append(", personnelShifts=").append(personnelShifts);
        sb.append(", personnelTeam=").append(personnelTeam);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", easPersonnelId=").append(easPersonnelId);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}