package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="供应商")
public class RmsSupplier implements IBasePO<BigDecimal> {
    /**
     * 主键id(SUPPLIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal supplierId;

    /**
     * 供应商名称(SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="供应商名称",required=false)
    private String supplierName;

    /**
     * 供应商简称(SUPPLIER_ABBREVIATION,VARCHAR,32)
     */
    @ApiModelProperty(value="供应商简称",required=false)
    private String supplierAbbreviation;

    /**
     * 地址(SUPPLIER_ADDRESS,VARCHAR,64)
     */
    @ApiModelProperty(value="地址",required=false)
    private String supplierAddress;

    /**
     * 法人代表(SUPPLIER_LEGAL_REPRESENTATIVE,VARCHAR,16)
     */
    @ApiModelProperty(value="法人代表",required=false)
    private String supplierLegalRepresentative;

    /**
     * 注册号(SUPPLIER_REGISTER_NO,VARCHAR,32)
     */
    @ApiModelProperty(value="注册号",required=false)
    private String supplierRegisterNo;

    /**
     * 委托代理人(SUPPLIER_AGENT,VARCHAR,16)
     */
    @ApiModelProperty(value="委托代理人",required=false)
    private String supplierAgent;

    /**
     * 联系电话(SUPPLIER_CONTACT_NUMBER,VARCHAR,32)
     */
    @ApiModelProperty(value="联系电话",required=false)
    private String supplierContactNumber;

    /**
     * 传真(SUPPLIER_FAX,VARCHAR,32)
     */
    @ApiModelProperty(value="传真",required=false)
    private String supplierFax;

    /**
     * 账户(SUPPLIER_ACCOUNT,VARCHAR,32)
     */
    @ApiModelProperty(value="账户",required=false)
    private String supplierAccount;

    /**
     * 开户行(SUPPLIER_ACCOUNT_BLANK,VARCHAR,32)
     */
    @ApiModelProperty(value="开户行",required=false)
    private String supplierAccountBlank;

    /**
     * 供应商代码(SUPPLIER_DUTY_PARAGRAPH,VARCHAR,32)
     */
    @ApiModelProperty(value="供应商代码",required=false)
    private String supplierDutyParagraph;

    /**
     * 邮政编码(SUPPLIER_POSTAL_CODE,VARCHAR,16)
     */
    @ApiModelProperty(value="邮政编码",required=false)
    private String supplierPostalCode;

    /**
     * 注册资本(SUPPLIER_REGISTER_CAPITAL,VARCHAR,16)
     */
    @ApiModelProperty(value="注册资本",required=false)
    private String supplierRegisterCapital;

    /**
     * 经营范围(SUPPLIERBUSINESS_SCOPE,VARCHAR,256)
     */
    @ApiModelProperty(value="经营范围",required=false)
    private String supplierbusinessScope;

    /**
     * 企业状态(SUPPLIER_COMPANY_STATUS,VARCHAR,16)
     */
    @ApiModelProperty(value="企业状态",required=false)
    private String supplierCompanyStatus;

    /**
     * 经营期限(SUPPLIER_OPERATION_PERIOD,VARCHAR,16)
     */
    @ApiModelProperty(value="经营期限",required=false)
    private String supplierOperationPeriod;

    /**
     * 成立日期(SUPPLIER_REGISTER_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="成立日期",required=false)
    private Date supplierRegisterDate;

    /**
     * 登记机构(SUPPLIER_REGISTER_ORGANIZATION,VARCHAR,16)
     */
    @ApiModelProperty(value="登记机构",required=false)
    private String supplierRegisterOrganization;

    /**
     * 相关资质(SUPPLIER_REGISTER_APTITUDES,VARCHAR,16)
     */
    @ApiModelProperty(value="相关资质",required=false)
    private String supplierRegisterAptitudes;

    /**
     * 企业资信等级(SUPPLIER_CREDENTIAL,VARCHAR,16)
     */
    @ApiModelProperty(value="企业资信等级",required=false)
    private String supplierCredential;

    /**
     * 联系人(SUPPLIER_CONTACTS_NAME,VARCHAR,8)
     */
    @ApiModelProperty(value="联系人",required=false)
    private String supplierContactsName;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 金蝶供应商主键ID(EAS_SUPPLIER_ID,VARCHAR,50)
     */
    @ApiModelProperty(value="金蝶供应商主键ID",required=false)
    private String easSupplierId;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * 经营许可证(照片)(SUPPLIER_BUSINESS_LICENSE,BLOB,4000)
     */
    @ApiModelProperty(value="经营许可证(照片)",required=false)
    private byte[] supplierBusinessLicense;

    /**
     * 营业执照(SUPPLIER_BUSINESS_ABLELICENSE,BLOB,4000)
     */
    @ApiModelProperty(value="营业执照",required=false)
    private byte[] supplierBusinessAblelicense;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.supplierId;
    }

    @Override
    public void setId(BigDecimal supplierId) {
        this.supplierId = supplierId;
    }

    public BigDecimal getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(BigDecimal supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName == null ? null : supplierName.trim();
    }

    public String getSupplierAbbreviation() {
        return supplierAbbreviation;
    }

    public void setSupplierAbbreviation(String supplierAbbreviation) {
        this.supplierAbbreviation = supplierAbbreviation == null ? null : supplierAbbreviation.trim();
    }

    public String getSupplierAddress() {
        return supplierAddress;
    }

    public void setSupplierAddress(String supplierAddress) {
        this.supplierAddress = supplierAddress == null ? null : supplierAddress.trim();
    }

    public String getSupplierLegalRepresentative() {
        return supplierLegalRepresentative;
    }

    public void setSupplierLegalRepresentative(String supplierLegalRepresentative) {
        this.supplierLegalRepresentative = supplierLegalRepresentative == null ? null : supplierLegalRepresentative.trim();
    }

    public String getSupplierRegisterNo() {
        return supplierRegisterNo;
    }

    public void setSupplierRegisterNo(String supplierRegisterNo) {
        this.supplierRegisterNo = supplierRegisterNo == null ? null : supplierRegisterNo.trim();
    }

    public String getSupplierAgent() {
        return supplierAgent;
    }

    public void setSupplierAgent(String supplierAgent) {
        this.supplierAgent = supplierAgent == null ? null : supplierAgent.trim();
    }

    public String getSupplierContactNumber() {
        return supplierContactNumber;
    }

    public void setSupplierContactNumber(String supplierContactNumber) {
        this.supplierContactNumber = supplierContactNumber == null ? null : supplierContactNumber.trim();
    }

    public String getSupplierFax() {
        return supplierFax;
    }

    public void setSupplierFax(String supplierFax) {
        this.supplierFax = supplierFax == null ? null : supplierFax.trim();
    }

    public String getSupplierAccount() {
        return supplierAccount;
    }

    public void setSupplierAccount(String supplierAccount) {
        this.supplierAccount = supplierAccount == null ? null : supplierAccount.trim();
    }

    public String getSupplierAccountBlank() {
        return supplierAccountBlank;
    }

    public void setSupplierAccountBlank(String supplierAccountBlank) {
        this.supplierAccountBlank = supplierAccountBlank == null ? null : supplierAccountBlank.trim();
    }

    public String getSupplierDutyParagraph() {
        return supplierDutyParagraph;
    }

    public void setSupplierDutyParagraph(String supplierDutyParagraph) {
        this.supplierDutyParagraph = supplierDutyParagraph == null ? null : supplierDutyParagraph.trim();
    }

    public String getSupplierPostalCode() {
        return supplierPostalCode;
    }

    public void setSupplierPostalCode(String supplierPostalCode) {
        this.supplierPostalCode = supplierPostalCode == null ? null : supplierPostalCode.trim();
    }

    public String getSupplierRegisterCapital() {
        return supplierRegisterCapital;
    }

    public void setSupplierRegisterCapital(String supplierRegisterCapital) {
        this.supplierRegisterCapital = supplierRegisterCapital == null ? null : supplierRegisterCapital.trim();
    }

    public String getSupplierbusinessScope() {
        return supplierbusinessScope;
    }

    public void setSupplierbusinessScope(String supplierbusinessScope) {
        this.supplierbusinessScope = supplierbusinessScope == null ? null : supplierbusinessScope.trim();
    }

    public String getSupplierCompanyStatus() {
        return supplierCompanyStatus;
    }

    public void setSupplierCompanyStatus(String supplierCompanyStatus) {
        this.supplierCompanyStatus = supplierCompanyStatus == null ? null : supplierCompanyStatus.trim();
    }

    public String getSupplierOperationPeriod() {
        return supplierOperationPeriod;
    }

    public void setSupplierOperationPeriod(String supplierOperationPeriod) {
        this.supplierOperationPeriod = supplierOperationPeriod == null ? null : supplierOperationPeriod.trim();
    }

    public Date getSupplierRegisterDate() {
        return supplierRegisterDate;
    }

    public void setSupplierRegisterDate(Date supplierRegisterDate) {
        this.supplierRegisterDate = supplierRegisterDate;
    }

    public String getSupplierRegisterOrganization() {
        return supplierRegisterOrganization;
    }

    public void setSupplierRegisterOrganization(String supplierRegisterOrganization) {
        this.supplierRegisterOrganization = supplierRegisterOrganization == null ? null : supplierRegisterOrganization.trim();
    }

    public String getSupplierRegisterAptitudes() {
        return supplierRegisterAptitudes;
    }

    public void setSupplierRegisterAptitudes(String supplierRegisterAptitudes) {
        this.supplierRegisterAptitudes = supplierRegisterAptitudes == null ? null : supplierRegisterAptitudes.trim();
    }

    public String getSupplierCredential() {
        return supplierCredential;
    }

    public void setSupplierCredential(String supplierCredential) {
        this.supplierCredential = supplierCredential == null ? null : supplierCredential.trim();
    }

    public String getSupplierContactsName() {
        return supplierContactsName;
    }

    public void setSupplierContactsName(String supplierContactsName) {
        this.supplierContactsName = supplierContactsName == null ? null : supplierContactsName.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getEasSupplierId() {
        return easSupplierId;
    }

    public void setEasSupplierId(String easSupplierId) {
        this.easSupplierId = easSupplierId == null ? null : easSupplierId.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public byte[] getSupplierBusinessLicense() {
        return supplierBusinessLicense;
    }

    public void setSupplierBusinessLicense(byte[] supplierBusinessLicense) {
        this.supplierBusinessLicense = supplierBusinessLicense;
    }

    public byte[] getSupplierBusinessAblelicense() {
        return supplierBusinessAblelicense;
    }

    public void setSupplierBusinessAblelicense(byte[] supplierBusinessAblelicense) {
        this.supplierBusinessAblelicense = supplierBusinessAblelicense;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", supplierId=").append(supplierId);
        sb.append(", supplierName=").append(supplierName);
        sb.append(", supplierAbbreviation=").append(supplierAbbreviation);
        sb.append(", supplierAddress=").append(supplierAddress);
        sb.append(", supplierLegalRepresentative=").append(supplierLegalRepresentative);
        sb.append(", supplierRegisterNo=").append(supplierRegisterNo);
        sb.append(", supplierAgent=").append(supplierAgent);
        sb.append(", supplierContactNumber=").append(supplierContactNumber);
        sb.append(", supplierFax=").append(supplierFax);
        sb.append(", supplierAccount=").append(supplierAccount);
        sb.append(", supplierAccountBlank=").append(supplierAccountBlank);
        sb.append(", supplierDutyParagraph=").append(supplierDutyParagraph);
        sb.append(", supplierPostalCode=").append(supplierPostalCode);
        sb.append(", supplierRegisterCapital=").append(supplierRegisterCapital);
        sb.append(", supplierbusinessScope=").append(supplierbusinessScope);
        sb.append(", supplierCompanyStatus=").append(supplierCompanyStatus);
        sb.append(", supplierOperationPeriod=").append(supplierOperationPeriod);
        sb.append(", supplierRegisterDate=").append(supplierRegisterDate);
        sb.append(", supplierRegisterOrganization=").append(supplierRegisterOrganization);
        sb.append(", supplierRegisterAptitudes=").append(supplierRegisterAptitudes);
        sb.append(", supplierCredential=").append(supplierCredential);
        sb.append(", supplierContactsName=").append(supplierContactsName);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", easSupplierId=").append(easSupplierId);
        sb.append(", deleted=").append(deleted);
        sb.append(", supplierBusinessLicense=").append(supplierBusinessLicense);
        sb.append(", supplierBusinessAblelicense=").append(supplierBusinessAblelicense);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}