package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="出厂实绩")
public class TmstruckLeaveFactoryResult implements IBasePO<Short> {
    /**
     * 主键id(RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private Short resultId;

    /**
     * 实绩总表ID(RESULT_TOTAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="实绩总表ID",required=false)
    private Short resultTotalId;

    /**
     * 出门门岗ID(GATEPOST_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="出门门岗ID",required=true)
    private Short gatepostId;

    /**
     * 出门方式(RESULT_OUT_MODE,VARCHAR,20)
     */
    @ApiModelProperty(value="出门方式",required=false)
    private String resultOutMode;

    /**
     * 出厂时间(RESULT_OUT_GATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="出厂时间",required=false)
    private Date resultOutGateTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 废除人(DELETE_USERNAME,VARCHAR,16)
     */
    @ApiModelProperty(value="废除人",required=false)
    private String deleteUsername;

    /**
     * 废除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="废除时间",required=false)
    private Date deleteTime;

    /**
     * 车厢抓拍图片(RESULT_TRUCK_SNAPSHOT_PICTURE,BLOB,4000)
     */
    @ApiModelProperty(value="车厢抓拍图片",required=false)
    private byte[] resultTruckSnapshotPicture;

    private static final long serialVersionUID = 1L;

    @Override
    public Short getId() {
        return this.resultId;
    }

    @Override
    public void setId(Short resultId) {
        this.resultId = resultId;
    }

    public Short getResultId() {
        return resultId;
    }

    public void setResultId(Short resultId) {
        this.resultId = resultId;
    }

    public Short getResultTotalId() {
        return resultTotalId;
    }

    public void setResultTotalId(Short resultTotalId) {
        this.resultTotalId = resultTotalId;
    }

    public Short getGatepostId() {
        return gatepostId;
    }

    public void setGatepostId(Short gatepostId) {
        this.gatepostId = gatepostId;
    }

    public String getResultOutMode() {
        return resultOutMode;
    }

    public void setResultOutMode(String resultOutMode) {
        this.resultOutMode = resultOutMode == null ? null : resultOutMode.trim();
    }

    public Date getResultOutGateTime() {
        return resultOutGateTime;
    }

    public void setResultOutGateTime(Date resultOutGateTime) {
        this.resultOutGateTime = resultOutGateTime;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getDeleteUsername() {
        return deleteUsername;
    }

    public void setDeleteUsername(String deleteUsername) {
        this.deleteUsername = deleteUsername == null ? null : deleteUsername.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public byte[] getResultTruckSnapshotPicture() {
        return resultTruckSnapshotPicture;
    }

    public void setResultTruckSnapshotPicture(byte[] resultTruckSnapshotPicture) {
        this.resultTruckSnapshotPicture = resultTruckSnapshotPicture;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", resultTotalId=").append(resultTotalId);
        sb.append(", gatepostId=").append(gatepostId);
        sb.append(", resultOutMode=").append(resultOutMode);
        sb.append(", resultOutGateTime=").append(resultOutGateTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleteUsername=").append(deleteUsername);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", resultTruckSnapshotPicture=").append(resultTruckSnapshotPicture);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}