package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽运质检实绩")
public class TmstruckQualityResult implements IBasePO<BigDecimal> {
    /**
     * 主键ID(RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal resultId;

    /**
     * 总实绩ID(TOTAL_RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="总实绩ID",required=false)
    private BigDecimal totalResultId;

    /**
     * 是否已抽样（0：未抽样；1：抽样）(RESULT_ISSAMPLING,VARCHAR,10)
     */
    @ApiModelProperty(value="是否已抽样（0：未抽样；1：抽样）",required=false)
    private String resultIssampling;

    /**
     * 原料扣减量(RESULT_DEDUCTION,DECIMAL,0)
     */
    @ApiModelProperty(value="原料扣减量",required=false)
    private BigDecimal resultDeduction;

    /**
     * 原料扣减说明(RESULT_DEDUCTION_DESCRIPTION,VARCHAR,50)
     */
    @ApiModelProperty(value="原料扣减说明",required=false)
    private String resultDeductionDescription;

    /**
     * 原料取样点(RESULT_SAMPLING_POINT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="原料取样点",required=false)
    private BigDecimal resultSamplingPointId;

    /**
     * 钢材质检结果（0：不合格；1：合格）(RESULT_CONCLUSION,DECIMAL,38)
     */
    @ApiModelProperty(value="钢材质检结果（0：不合格；1：合格）",required=false)
    private BigDecimal resultConclusion;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 抽样时间(RESULT_SAMPLING_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="抽样时间",required=false)
    private Date resultSamplingTime;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getTotalResultId() {
        return totalResultId;
    }

    public void setTotalResultId(BigDecimal totalResultId) {
        this.totalResultId = totalResultId;
    }

    public String getResultIssampling() {
        return resultIssampling;
    }

    public void setResultIssampling(String resultIssampling) {
        this.resultIssampling = resultIssampling == null ? null : resultIssampling.trim();
    }

    public BigDecimal getResultDeduction() {
        return resultDeduction;
    }

    public void setResultDeduction(BigDecimal resultDeduction) {
        this.resultDeduction = resultDeduction;
    }

    public String getResultDeductionDescription() {
        return resultDeductionDescription;
    }

    public void setResultDeductionDescription(String resultDeductionDescription) {
        this.resultDeductionDescription = resultDeductionDescription == null ? null : resultDeductionDescription.trim();
    }

    public BigDecimal getResultSamplingPointId() {
        return resultSamplingPointId;
    }

    public void setResultSamplingPointId(BigDecimal resultSamplingPointId) {
        this.resultSamplingPointId = resultSamplingPointId;
    }

    public BigDecimal getResultConclusion() {
        return resultConclusion;
    }

    public void setResultConclusion(BigDecimal resultConclusion) {
        this.resultConclusion = resultConclusion;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public Date getResultSamplingTime() {
        return resultSamplingTime;
    }

    public void setResultSamplingTime(Date resultSamplingTime) {
        this.resultSamplingTime = resultSamplingTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", totalResultId=").append(totalResultId);
        sb.append(", resultIssampling=").append(resultIssampling);
        sb.append(", resultDeduction=").append(resultDeduction);
        sb.append(", resultDeductionDescription=").append(resultDeductionDescription);
        sb.append(", resultSamplingPointId=").append(resultSamplingPointId);
        sb.append(", resultConclusion=").append(resultConclusion);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", resultSamplingTime=").append(resultSamplingTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}