package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="计重作业实绩表")
public class TmstruckWeightResult implements IBasePO<BigDecimal> {
    /**
     * 主键id(WEIGHT_TASK_RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal weightTaskResultId;

    /**
     * 总实绩ID(RESULT_TOTAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="总实绩ID",required=false)
    private BigDecimal resultTotalId;

    /**
     * 磅单号(RESULT_POUND_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="磅单号",required=false)
    private String resultPoundNo;

    /**
     * 毛重(RESULT_GROSS_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="毛重",required=false)
    private BigDecimal resultGrossWeight;

    /**
     * 毛重时间(RESULT_GROSS_WEIGHT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="毛重时间",required=false)
    private Date resultGrossWeightTime;

    /**
     * 皮重(RESULT_TARE_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="皮重",required=false)
    private BigDecimal resultTareWeight;

    /**
     * 皮重时间(RESULT_TARE_WEIGHT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="皮重时间",required=false)
    private Date resultTareWeightTime;

    /**
     * 净重(RESULT_NET_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="净重",required=false)
    private BigDecimal resultNetWeight;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 废除人(DELETE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="废除人",required=false)
    private String deleteName;

    /**
     * 废除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="废除时间",required=false)
    private Date deleteTime;

    /**
     * 计毛点ID(汽车衡)(RESULT_GROSS_PLACE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="计毛点ID(汽车衡)",required=false)
    private BigDecimal resultGrossPlaceId;

    /**
     * 计皮点ID(汽车衡)(RESULT_TARE_PLACE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="计皮点ID(汽车衡)",required=false)
    private BigDecimal resultTarePlaceId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 是否需要扣水扣杂(0:否，1：是)(ISDEDUCT,DECIMAL,38)
     */
    @ApiModelProperty(value="是否需要扣水扣杂(0:否，1：是)",required=false)
    private BigDecimal isdeduct;

    /**
     * 是否完成扣水扣杂(0:否，1：是)(ISQUALITY,DECIMAL,38)
     */
    @ApiModelProperty(value="是否完成扣水扣杂(0:否，1：是)",required=false)
    private BigDecimal isquality;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.weightTaskResultId;
    }

    @Override
    public void setId(BigDecimal weightTaskResultId) {
        this.weightTaskResultId = weightTaskResultId;
    }

    public BigDecimal getWeightTaskResultId() {
        return weightTaskResultId;
    }

    public void setWeightTaskResultId(BigDecimal weightTaskResultId) {
        this.weightTaskResultId = weightTaskResultId;
    }

    public BigDecimal getResultTotalId() {
        return resultTotalId;
    }

    public void setResultTotalId(BigDecimal resultTotalId) {
        this.resultTotalId = resultTotalId;
    }

    public String getResultPoundNo() {
        return resultPoundNo;
    }

    public void setResultPoundNo(String resultPoundNo) {
        this.resultPoundNo = resultPoundNo == null ? null : resultPoundNo.trim();
    }

    public BigDecimal getResultGrossWeight() {
        return resultGrossWeight;
    }

    public void setResultGrossWeight(BigDecimal resultGrossWeight) {
        this.resultGrossWeight = resultGrossWeight;
    }

    public Date getResultGrossWeightTime() {
        return resultGrossWeightTime;
    }

    public void setResultGrossWeightTime(Date resultGrossWeightTime) {
        this.resultGrossWeightTime = resultGrossWeightTime;
    }

    public BigDecimal getResultTareWeight() {
        return resultTareWeight;
    }

    public void setResultTareWeight(BigDecimal resultTareWeight) {
        this.resultTareWeight = resultTareWeight;
    }

    public Date getResultTareWeightTime() {
        return resultTareWeightTime;
    }

    public void setResultTareWeightTime(Date resultTareWeightTime) {
        this.resultTareWeightTime = resultTareWeightTime;
    }

    public BigDecimal getResultNetWeight() {
        return resultNetWeight;
    }

    public void setResultNetWeight(BigDecimal resultNetWeight) {
        this.resultNetWeight = resultNetWeight;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getDeleteName() {
        return deleteName;
    }

    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName == null ? null : deleteName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public BigDecimal getResultGrossPlaceId() {
        return resultGrossPlaceId;
    }

    public void setResultGrossPlaceId(BigDecimal resultGrossPlaceId) {
        this.resultGrossPlaceId = resultGrossPlaceId;
    }

    public BigDecimal getResultTarePlaceId() {
        return resultTarePlaceId;
    }

    public void setResultTarePlaceId(BigDecimal resultTarePlaceId) {
        this.resultTarePlaceId = resultTarePlaceId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getIsdeduct() {
        return isdeduct;
    }

    public void setIsdeduct(BigDecimal isdeduct) {
        this.isdeduct = isdeduct;
    }

    public BigDecimal getIsquality() {
        return isquality;
    }

    public void setIsquality(BigDecimal isquality) {
        this.isquality = isquality;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", weightTaskResultId=").append(weightTaskResultId);
        sb.append(", resultTotalId=").append(resultTotalId);
        sb.append(", resultPoundNo=").append(resultPoundNo);
        sb.append(", resultGrossWeight=").append(resultGrossWeight);
        sb.append(", resultGrossWeightTime=").append(resultGrossWeightTime);
        sb.append(", resultTareWeight=").append(resultTareWeight);
        sb.append(", resultTareWeightTime=").append(resultTareWeightTime);
        sb.append(", resultNetWeight=").append(resultNetWeight);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleteName=").append(deleteName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", resultGrossPlaceId=").append(resultGrossPlaceId);
        sb.append(", resultTarePlaceId=").append(resultTarePlaceId);
        sb.append(", materialId=").append(materialId);
        sb.append(", isdeduct=").append(isdeduct);
        sb.append(", isquality=").append(isquality);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}