package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.BmsshipDetailsOrder;
import com.steerinfo.dil.mapper.BmsshipDetailsOrderMapper;
import com.steerinfo.dil.service.IBmsshipDetailsOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * BmsshipDetailsOrder服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-05 07:29
 * 类描述
 * 修订历史：
 * 日期：2021-11-05
 * 作者：generator
 * 参考：
 * 描述：BmsshipDetailsOrder服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmsshipDetailsOrderService")
public class BmsshipDetailsOrderServiceImpl extends BaseServiceImpl<BmsshipDetailsOrder, BigDecimal> implements IBmsshipDetailsOrderService {

    @Autowired
    private BmsshipDetailsOrderMapper bmsshipDetailsOrderMapper;

    @Override
    protected IBaseMapper<BmsshipDetailsOrder, BigDecimal> getMapper() {
        return bmsshipDetailsOrderMapper;
    }

    /**
     * 采购船运详单
     * @param statementId
     * @return
     */
    @Override
    public List<Map<String, Object>> getPurchaseShipDetails(Integer statementId) {
        List<Map<String,Object>> entries = bmsshipDetailsOrderMapper.getPurchaseShipDetails(new BigDecimal(statementId));
        return entries;
    }
}
