package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.BmsshipStatementMapper;
import com.steerinfo.dil.service.IBmsshipStatementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * BmsshipStatement服务实现：
 *
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-05 07:35
 * 类描述
 * 修订历史：
 * 日期：2021-11-05
 * 作者：generator
 * 参考：
 * 描述：BmsshipStatement服务实现
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 * @see null
 */
@Service(value = "bmsshipStatementService")
public class BmsshipStatementServiceImpl implements IBmsshipStatementService {

    @Autowired
    private BmsshipStatementMapper bmsshipStatementMapper;

    /**
     * 采购船运账单
     *
     * @param statementId
     * @return
     */
    @Override
    public Map<String, Object> getShipStatement(Integer statementId) {
        Map<String, Object> head = bmsshipStatementMapper.getShipStatement(new BigDecimal(statementId));
        List<Map<String, Object>> mapList = bmsshipStatementMapper.getShipOtherMessage(new BigDecimal(statementId));
        String amountType = (String) head.get("amountType");
        // 详单
        List<Map<String,Object>> entries = new ArrayList<>();
        Map<String,Object> input = new HashMap<>();
        Map<String,Object> detailsMap = new HashMap<>();
        detailsMap.put("detailNum","");
        detailsMap.put("detailDate","");
        detailsMap.put("carNum","");
        detailsMap.put("startingPoint","");
        detailsMap.put("endPoint","");
        detailsMap.put("qty","");
        detailsMap.put("forwarder","");
        detailsMap.put("matNum","");
        detailsMap.put("matName","");
        entries.add(detailsMap);
        Map<String, Object> map = new HashMap<>();
        if (amountType.equals("水运费")) {
            // 发货单位和收款单位
            Map<String, Object> shipMap = mapList.get(0);
            // 付款单位
            String payUnitName = bmsshipStatementMapper.getShipPaymentUnit(new BigDecimal(statementId));
            map.putAll(shipMap);
            map.put("payUnitName",payUnitName);
            map.put("payUnitNum","");
            map.put("receivedUnitNum","");
            map.put("collectionUnitNum","");
        }
        if (amountType.equals("物流途损超标扣款")) {
            // 付款单位，发货单位，收款单位
            Map<String,Object> lossMap = bmsshipStatementMapper.getLossPaymentUnit(new BigDecimal(statementId));
            map.put("collectionUnitNum","");
            map.put("receivedUnitNum","");
            map.put("payUnitNum","");
            map.putAll(lossMap);
            input.put("entries",entries);
        }
        if (amountType.equals("水分检测费")) {
            Map<String,Object> waterMap = bmsshipStatementMapper.getWaterFeeMembers(new BigDecimal(statementId));
            map.put("collectionUnitName","");
            map.put("payUnitNum","");
            map.put("collectionUnitNum","");
            map.put("receivedUnitNum","");
            map.putAll(waterMap);
            input.put("entries",entries);
        }
        head.putAll(map);
        input.put("head",head);
        return input;
    }
}
