package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.BmstrainDetailsOrder;
import com.steerinfo.dil.mapper.BmstrainDetailsOrderMapper;
import com.steerinfo.dil.service.IBmstrainDetailsOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * BmstrainDetailsOrder服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-05 08:05
 * 类描述
 * 修订历史：
 * 日期：2021-11-05
 * 作者：generator
 * 参考：
 * 描述：BmstrainDetailsOrder服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmstrainDetailsOrderService")
public class BmstrainDetailsOrderServiceImpl implements IBmstrainDetailsOrderService {

    @Autowired
    private BmstrainDetailsOrderMapper bmstrainDetailsOrderMapper;

    /**
     * 采购火运详单信息
     * @param statementId
     * @return
     */
    @Override
    public List<Map<String, Object>> getPurchaseTrainDetailsOrder(Integer statementId) {
        List<Map<String, Object>> entries = bmstrainDetailsOrderMapper.getPurchaseTrainDetailsOrder(new BigDecimal(statementId));
        String carNum = "";
        String forwarder = "";
        String startingPoint = "";
        String endPoint = "";
        for (Map<String,Object> map: entries) {
            map.put("carNum",carNum);
            map.put("forwarder",forwarder);
            map.put("startingPoint",startingPoint);
            map.put("endPoint",endPoint);
        }
        return entries;
    }
}
