package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.BmstrainStatement;
import com.steerinfo.dil.mapper.BmstrainStatementMapper;
import com.steerinfo.dil.service.IBmstrainStatementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * BmstrainStatement服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-05 08:15
 * 类描述
 * 修订历史：
 * 日期：2021-11-05
 * 作者：generator
 * 参考：
 * 描述：BmstrainStatement服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmstrainStatementService")
public class BmstrainStatementServiceImpl implements IBmstrainStatementService {

    @Autowired
    private BmstrainStatementMapper bmstrainStatementMapper;

    /**
     * 得到火运账单信息
     * @param statementId
     * @return
     */
    @Override
    public Map<String, Object> getTrainStatement(Integer statementId) {
        Map<String, Object> head = bmstrainStatementMapper.getTrainStatement(new BigDecimal(statementId));
        List<Map<String,Object>> mapList = bmstrainStatementMapper.getCarrierAndReceiver(new BigDecimal(statementId));
        Map<String, Object> map = mapList.get(0);
        String amountType = "采购火运";
        String collectionUnitName = "成都铁路局";
        head.put("amountType",amountType);
        head.put("payUnitNum","");
        head.put("receivedUnitNum","");
        head.put("collectionUnitNum","");
        head.put("collectionUnitName",collectionUnitName);
        head.putAll(map);
        return head;
    }

    /**
     * 修改火运账单
     * @param mapValue
     * @return
     */
    @Override
    public int updateTrainStatement(Map<String, Object> mapValue) {
        return 0;
    }
}
