package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.BmstruckDetailsOrderMapper;
import com.steerinfo.dil.service.IBmstruckDetailsOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * BmstruckDetailsOrder服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-27 05:06
 * 类描述
 * 修订历史：
 * 日期：2021-10-27
 * 作者：generator
 * 参考：
 * 描述：BmstruckDetailsOrder服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmstruckDetailsOrderService")
public class BmstruckDetailsOrderServiceImpl implements IBmstruckDetailsOrderService {

    @Autowired
    private BmstruckDetailsOrderMapper bmstruckDetailsOrderMapper;

    /**
     * 查询采购汽运详单
     * @param detailsId
     * @return
     */
    @Override
    public Map<String, Object> getPurchaseDetailsOrder(Integer detailsId) {
        List<Map<String, Object>> entries = bmstruckDetailsOrderMapper.getPurchaseDetailsOrder(new BigDecimal(detailsId));
        String amountType = "采购汽运";
        Map<String,Object> head = new HashMap<>();
        String billNum = (String) (entries.get(0).get("detailNum"));
        Date bizDate = (Date) (entries.get(0).get("detailDate"));
        BigDecimal amount = (BigDecimal) (entries.get(0).get("amount"));
        BigDecimal qty = (BigDecimal) (entries.get(0).get("qty"));
        entries.get(0).remove("amount");
        entries.get(0).remove("qty");
        entries.get(0).put("amount",amount.toString());
        entries.get(0).put("qty",qty.toString());
        String statementExcludTax = amount.toString();
        Map<String,Object> statementMap = bmstruckDetailsOrderMapper.getStatementMessage(new BigDecimal(detailsId));
        head.put("billNum",billNum);
        head.put("bizDate",bizDate);
        head.put("amountType",amountType);
        head.put("allAmount",statementExcludTax);
        head.put("receivedUnitNum","");
        head.put("payUnitNum","");
        head.putAll(statementMap);
        Map<String,Object> input = new HashMap<>();
        input.put("head",head);
        input.put("entries",entries);
        return input;
    }

    /**
     * 查询销售汽运详单
     * @param statementId
     * @return
     */
    @Override
    public List<Map<String, Object>> getSaleDetailsOrder(Integer statementId) {
        List<Map<String, Object>> entries = bmstruckDetailsOrderMapper.getSaleDetailsOrder(new BigDecimal(statementId));
        return entries;
    }
}
