package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsConsigneeMapper;
import com.steerinfo.dil.model.RmsConsignee;
import com.steerinfo.dil.service.IRmsConsigneeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * RmsConsigneee服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-26 05:28
 * 类描述
 * 修订历史：
 * 日期：2021-10-26
 * 作者：generator
 * 参考：
 * 描述：RmsConsigneee服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsConsigneeService")
public class RmsConsigneeServiceImpl implements IRmsConsigneeService {

    @Autowired
    private RmsConsigneeMapper rmsConsigneeMapper;

    /**
     * 管理收货客户
     * @param mapVal
     * @return
     */
    @Override
    public int operationConsignee(Map<String, Object> mapVal) {
        // 得到金蝶收货客户主键id
        String EASConsigneeId = (String) mapVal.get("EASConsigneeId");
        // 得到收货人名称
        String consigneeCompanyName = (String) mapVal.get("consigneeCompanyName");
        // 得到收货人简称
        String consigneeAbbreviation = (String) mapVal.get("consigneeAbbreviation");
        // 得到注册地址
        String consigneeRegisteredAddress = (String) mapVal.get("consigneeRegisteredAddress");
        // 得到联系人
        String consigneeContactName = (String) mapVal.get("consigneeContactName");
        // 得到联系电话
        String consigneeContactTel = (String) mapVal.get("consigneeContactTel");
        // 得到客户编码
        String consigneeCode = (String) mapVal.get("consigneeCode");
        // 得到数据状态
        Integer dataStatus = (Integer) mapVal.get("dataStatus");
        // 判断是否EASId已存在
        Map<String,Object> map = new HashMap<>();
        map.put("easConsigneeId",EASConsigneeId);
        BigDecimal deleted = new BigDecimal(0);
//        map.put("deleted",deleted);
        RmsConsignee rmsConsignee = new RmsConsignee();
        rmsConsignee.setEasConsigneeId(EASConsigneeId);
        rmsConsignee.setConsigneeCompanyName(consigneeCompanyName);
        rmsConsignee.setConsigneeAbbreviation(consigneeAbbreviation);
        rmsConsignee.setConsigneeRegisteredAddress(consigneeRegisteredAddress);
        rmsConsignee.setConsigneeContactName(consigneeContactName);
        rmsConsignee.setConsigneeContactTel(consigneeContactTel);
        rmsConsignee.setConsigneeCode(consigneeCode);
        rmsConsignee.setInsertTime(new Date());
        rmsConsignee.setInsertUsername("admin");
        rmsConsignee.setUpdateTime(new Date());
        rmsConsignee.setUpdateUsername("admin");
        rmsConsignee.setInsertUpdateRemark("无");
        int result = 0;
        List<RmsConsignee> rmsRmsConsignees = rmsConsigneeMapper.selectByParameters(map);
        // 新增
        if (rmsRmsConsignees.size() == 0) {
            BigDecimal consigneeId = rmsConsigneeMapper.getConsigneeId();
            rmsConsignee.setConsigneeId(consigneeId);
            rmsConsignee.setDeleted(deleted);
            result = rmsConsigneeMapper.insertSelective(rmsConsignee);
        }
        // 修改
        if (rmsRmsConsignees.size() != 0 && dataStatus == 1) {
            RmsConsignee rmsConsignee1 = rmsRmsConsignees.get(0);
            rmsConsignee.setConsigneeId(rmsConsignee1.getConsigneeId());
            rmsConsignee.setDeleted(deleted);
            result = rmsConsigneeMapper.updateByPrimaryKeySelective(rmsConsignee);
        }
        // 逻辑删除
        if (rmsRmsConsignees.size() != 0 && dataStatus == 2) {
            RmsConsignee rmsConsignee1 = rmsRmsConsignees.get(0);
            rmsConsignee.setConsigneeId(rmsConsignee1.getConsigneeId());
            rmsConsignee.setDeleted(new BigDecimal(1));
            result = rmsConsigneeMapper.updateByPrimaryKeySelective(rmsConsignee);
        }
        return result;
    }

    /**
     * 展示收货客户信息
     * @param mapVal
     * @return
     */
    @Override
    public List<Map<String, Object>> getConsigneeList(Map<String, Object> mapVal) {
        return null;
    }
}
