package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsMaterialSteelMapper;
import com.steerinfo.dil.service.IRmsMaterialSteelService;
import com.steerinfo.dil.util.FtpUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * RmsMaterialSteel服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-29 02:33
 * 类描述
 * 修订历史：
 * 日期：2021-10-29
 * 作者：generator
 * 参考：
 * 描述：RmsMaterialSteel服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsMaterialSteelService")
public class RmsMaterialSteelServiceImpl implements IRmsMaterialSteelService {

    @Autowired
    private RmsMaterialSteelMapper rmsMaterialSteelMapper;

    @Autowired
    FtpUtil ftpUtil;
    /**
     * 得到没有质保书的炉号
     * @return
     */
    @Override
    public List<Map<String, Object>> getMaterialFurnaceNumber() {
        return rmsMaterialSteelMapper.getMaterialFurnaceNumber();
    }

    /**
     * 修改相应炉号的钢材质检结果
     * @param map
     * @return
     */
    @Override
    public Integer updateMaterialQuality(Map<String, Object> map) {
        return rmsMaterialSteelMapper.updateMaterialQuality(map);
    }


    /**
     * PDF文件上传
     * @param files
     * @param request
     * @return
     * @throws IOException
     */
    @Override
    public Map<String, String> upFile(MultipartFile[] files, HttpServletRequest request) throws IOException {
        Map<String, String> map = new HashMap<>();
        map.put("code", "500");
        map.put("msg", "上传文件失败");
        for (MultipartFile file : files) {
            String fileName = file.getOriginalFilename();//获取文件名
            String suffixName = fileName.substring(fileName.lastIndexOf("."));//获取文件的后缀名
            // 得到文件名的前缀
            String capacityNumberAndFurnaceNumber = fileName.substring(0, fileName.lastIndexOf("."));
            //上传的文件名也需要加上后缀，不然虚拟机不知道文件格式
            InputStream inputStream = file.getInputStream();
            String filePath = null;
            //关于ftp处理文件上传下载这里单独写了一个工具类ftpUtil，下面会写这个类
            //@Autowired  private FtpUtil ftpUtil;service层上面引入了这个方法。
            Boolean flag = ftpUtil.uploadFile(fileName, inputStream);//主要就是这里实现了ftp的文件上传
            if (flag == true) {
                //log.info("上传文件成功!");
                filePath = ftpUtil.FTP_BASEPATH + fileName;
                map.put("code", "200");
                map.put("msg", "上传文件成功");
            }
            map.put("path", filePath);
        }
        System.out.println(map);
        return map;
    }
}
