package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsMaterialTypeMapper;
import com.steerinfo.dil.model.RmsMaterialType;
import com.steerinfo.dil.service.IRmsMaterialTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/11/25 14:27
 * @Version:V2.0
 */
@Service(value = "rmsSupplierTypeService")
public class RmsMaterialTypeServiceImpl implements IRmsMaterialTypeService {

    @Autowired
    RmsMaterialTypeMapper rmsMaterialTypeMapper;

    @Override
    public int operationMaterialType(Map<String, Object> mapVal) {
        String materialTypeName = (String) mapVal.get("materialTypeName");
        String materialTypeCode = (String) mapVal.get("materialTypeCode");
        BigDecimal materialTypeId = rmsMaterialTypeMapper.getMaterialId();
        RmsMaterialType rmsMaterialType = new RmsMaterialType();
        rmsMaterialType.setMaterialTypeId(materialTypeId);
        rmsMaterialType.setMaterialTypeName(materialTypeName);
        rmsMaterialType.setInsertTime(new Date());
        rmsMaterialType.setUpdateTime(new Date());
        rmsMaterialType.setInsertUsername("admin");
        rmsMaterialType.setUpdateUsername("admin");
        rmsMaterialType.setInsertUpdateRemark("采集金蝶物资类型");
        int result = rmsMaterialTypeMapper.insertSelective(rmsMaterialType);
        return result;
    }
}
