package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsCarrierMapper;
import com.steerinfo.dil.mapper.RmsSupplierMapper;
import com.steerinfo.dil.model.RmsCarrier;
import com.steerinfo.dil.model.RmsSupplier;
import com.steerinfo.dil.service.IRmsSupplierService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * RmsSupplier服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-22 06:18
 * 类描述
 * 修订历史：
 * 日期：2021-10-22
 * 作者：generator
 * 参考：
 * 描述：RmsSupplier服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsSupplierService")
public class RmsSupplierServiceImpl implements IRmsSupplierService {

    @Autowired
    private RmsSupplierMapper rmsSupplierMapper;

    @Autowired
    RmsCarrierMapper rmsCarrierMapper;

    /**
     * 操作供应商
     * @param mapVal
     * @return
     */
    @Override
    public int operationSupplier(Map<String, Object> mapVal) {
        // 得到金蝶主键供应商id
        String EASSupplierId = (String) mapVal.get("EASSupplierId");
        // 得到供应商名称
        String supplierName = (String) mapVal.get("supplierName");
        // 得到供应商供应商简称
        String supplierAbbreviation = (String) mapVal.get("supplierAbbreviation");
        // 得到供应商代码
        String supplierDutyParagraph = (String) mapVal.get("supplierDutyParagraph");
        // 得到供应商地址
        String supplierAddress = (String) mapVal.get("supplierAddress");
        // 得到联系人
        String supplierContactsName = (String) mapVal.get("supplierAgent");
        // 得到联系电话
        String supplierContactNumber = (String) mapVal.get("supplierContactNumber");
        // 得到数据数据状态
        Integer dataStatus = (Integer) mapVal.get("dataStatus");
//        // 判断是供应商还是承运商
//        String dataType = (String) mapVal.get("dataType");
        // 判断是否EASId已存在
        Map<String,Object> map1 = new HashMap<>();
        map1.put("easSupplierId",EASSupplierId);
        Map<String,Object> map2 = new HashMap<>();
        BigDecimal deleted = new BigDecimal(0);
//        map1.put("deleted",deleted);
        map2.put("easCarrierId",EASSupplierId);
//        map2.put("deleted",deleted);
        List<RmsCarrier> rmsCarriers = rmsCarrierMapper.selectByParameters(map2);
        List<RmsSupplier> rmsSuppliers = rmsSupplierMapper.selectByParameters(map1);
        // 供应商
        RmsSupplier rmsSupplier = new RmsSupplier();
        rmsSupplier.setEasSupplierId(EASSupplierId);
        rmsSupplier.setSupplierName(supplierName);
        rmsSupplier.setSupplierAbbreviation(supplierAbbreviation);
        rmsSupplier.setSupplierDutyParagraph(supplierDutyParagraph);
        rmsSupplier.setSupplierAddress(supplierAddress);
        rmsSupplier.setSupplierContactsName(supplierContactsName);
        rmsSupplier.setSupplierContactNumber(supplierContactNumber);
        rmsSupplier.setInsertTime(new Date());
        rmsSupplier.setInsertUsername("admin");
        rmsSupplier.setUpdateTime(new Date());
        rmsSupplier.setUpdateUsername("admin");
        rmsSupplier.setInsertUpdateRemark("无");
        // 承运商
        RmsCarrier rmsCarrier = new RmsCarrier();
        rmsCarrier.setCarrierName(supplierName);
        rmsCarrier.setCarrierAbbreviation(supplierAbbreviation);
        rmsCarrier.setCarrierAddress(supplierAddress);
        rmsCarrier.setCarrierDutyParagraph(supplierDutyParagraph);
        rmsCarrier.setCarrierContactNumber(supplierContactNumber);
        rmsCarrier.setCarrierAgent(supplierContactsName);
        rmsCarrier.setEasCarrierId(EASSupplierId);
        rmsCarrier.setInsertTime(new Date());
        rmsCarrier.setInsertUsername("admin");
        rmsCarrier.setUpdateTime(new Date());
        rmsCarrier.setUpdateUsername("admin");
        rmsCarrier.setInsertUpdateRemark("无");
        int result = 0;
        // 新增
        if (rmsSuppliers.size() == 0) {
            BigDecimal supplierId = rmsSupplierMapper.getSupplierId();
            BigDecimal carrierId = rmsCarrierMapper.getCarrierId();
            rmsCarrier.setCarrierId(carrierId);
            rmsCarrier.setDeleted(new BigDecimal(0));
            rmsSupplier.setSupplierId(supplierId);
            rmsSupplier.setDeleted(new BigDecimal(0));
            result += rmsSupplierMapper.insertSelective(rmsSupplier);
            result += rmsCarrierMapper.insertSelective(rmsCarrier);
        }
        // 修改
        if (rmsSuppliers.size() != 0 && dataStatus == 1) {
            RmsSupplier rmsSupplier1 = rmsSuppliers.get(0);
            RmsCarrier rmsCarrier1 = rmsCarriers.get(0);
            rmsCarrier.setCarrierId(rmsCarrier1.getCarrierId());
            rmsCarrier.setDeleted(deleted);
            rmsSupplier.setSupplierId(rmsSupplier1.getSupplierId());
            rmsSupplier.setDeleted(deleted);
            result += rmsSupplierMapper.updateByPrimaryKeySelective(rmsSupplier);
            result += rmsCarrierMapper.updateByPrimaryKeySelective(rmsCarrier);
        }
        // 逻辑删除
        if (rmsSuppliers.size() != 0 && dataStatus == 2) {
            RmsSupplier rmsSupplier1 = rmsSuppliers.get(0);
            RmsCarrier rmsCarrier1 = rmsCarriers.get(0);
            rmsSupplier.setSupplierId(rmsSupplier1.getSupplierId());
            rmsCarrier.setCarrierId(rmsCarrier1.getCarrierId());
            rmsSupplier.setDeleted(new BigDecimal(1));
            rmsCarrier.setDeleted(new BigDecimal(1));
            result += rmsSupplierMapper.updateByPrimaryKeySelective(rmsSupplier);
            result += rmsCarrierMapper.updateByPrimaryKeySelective(rmsCarrier);
        }
        return result;
    }

    /**
     * 查询供应商列表
     * @param mapVal
     * @return
     */
    @Override
    public List<Map<String, Object>> getSupplierList(Map<String, Object> mapVal) {
        return rmsSupplierMapper.getSupplierList(mapVal);
    }
}
