package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.TmstruckMeasureCommissionMapper;
import com.steerinfo.dil.model.TmstruckMeasureCommission;
import com.steerinfo.dil.service.ITmstruckMeasureCommissionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 * TmstruckMeasureCommission服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-25 02:48
 * 类描述
 * 修订历史：
 * 日期：2021-10-25
 * 作者：generator
 * 参考：
 * 描述：TmstruckMeasureCommission服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tmstruckMeasureCommissionService")
public class TmstruckMeasureCommissionServiceImpl implements ITmstruckMeasureCommissionService {

    @Autowired
    private TmstruckMeasureCommissionMapper tmstruckMeasureCommissionMapper;

    /**
     * 推送运输订单信息（计量委托）
     * @param orderNumber
     * @param type
     * @return
     */
    @Override
    public Map<String, Object> pushTruckWeightApply(String orderNumber,Integer type) {
        TmstruckMeasureCommission tmstruckMeasureCommission = new TmstruckMeasureCommission();
        tmstruckMeasureCommission.setResultTotalId(tmstruckMeasureCommissionMapper.getResultTotalId(orderNumber));
        tmstruckMeasureCommission.setCommssionId(tmstruckMeasureCommissionMapper.getCommssionId());
        if (type == 0) {
            tmstruckMeasureCommission.setCommssionType(new BigDecimal(0));
        }
        else {
            tmstruckMeasureCommission.setCommssionType(new BigDecimal(1));
        }
        tmstruckMeasureCommissionMapper.insertSelective(tmstruckMeasureCommission);
        Map<String,Object> map = tmstruckMeasureCommissionMapper.getMeasureCommission(orderNumber);
        return map;
    }
}
